cdac.medinfo.sdk.hl7282.baselibs.segments

## Class GT1

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.GT1

- All Implemented Interfaces:
    ISegment

      public class GT1
      extends Segment

  GT1 - Guarantor Segment.

  The GT1 segment contains guarantor (e.g., the person or the organization with financial responsibility for payment of a patient account) data for patient and insurance billing applications.

  Represents an HL7 GT1 message segment. This segment has the following fields:

  GT1-1: Set ID - GT1 (SI)Required
  GT1-2: Guarantor Number (CX)Optional
  GT1-3: Guarantor Name (XPN)Required
  GT1-4: Guarantor Spouse Name (XPN)Optional
  GT1-5: Guarantor Address (XAD)Optional
  GT1-6: Guarantor Ph Num - Home (XTN)Optional
  GT1-7: Guarantor Ph Num - Business (XTN)Optional
  GT1-8: Guarantor Date/Time Of Birth (DTM)Optional
  GT1-9: Guarantor Administrative Sex (CWE)Optional
  GT1-10: Guarantor Type (CWE)Optional
  GT1-11: Guarantor Relationship (CWE)Optional
  GT1-12: Guarantor SSN (ST)Optional
  GT1-13: Guarantor Date - Begin (DT)Optional
  GT1-14: Guarantor Date - End (DT)Optional
  GT1-15: Guarantor Priority (NM)Optional
  GT1-16: Guarantor Employer Name (XPN)Optional
  GT1-17: Guarantor Employer Address (XAD)Optional
  GT1-18: Guarantor Employer Phone Number (XTN)Optional
  GT1-19: Guarantor Employee ID Number (CX)Optional
  GT1-20: Guarantor Employment Status (CWE)Optional
  GT1-21: Guarantor Organization Name (XON)Optional
  GT1-22: Guarantor Billing Hold Flag (ID)Optional
  GT1-23: Guarantor Credit Rating Code (CWE)Optional
  GT1-24: Guarantor Death Date And Time (DTM)Optional
  GT1-25: Guarantor Death Flag (ID)Optional
  GT1-26: Guarantor Charge Adjustment Code (CWE)Optional
  GT1-27: Guarantor Household Annual Income (CP)Optional
  GT1-28: Guarantor Household Size (NM)Optional
  GT1-29: Guarantor Employer ID Number (CX)Optional
  GT1-30: Guarantor Marital Status Code (CWE)Optional
  GT1-31: Guarantor Hire Effective Date (DT)Optional
  GT1-32: Employment Stop Date (DT)Optional
  GT1-33: Living Dependency (CWE)Optional
  GT1-34: Ambulatory Status (CWE)Optional
  GT1-35: Citizenship (CWE)Optional
  GT1-36: Primary Language (CWE)Optional
  GT1-37: Living Arrangement (CWE)Optional
  GT1-38: Publicity Code (CWE)Optional
  GT1-39: Protection Indicator (ID)Optional
  GT1-40: Student Indicator (CWE)Optional
  GT1-41: Religion (CWE)Optional
  GT1-42: Mother's Maiden Name (XPN)Optional
  GT1-43: Nationality (CWE)Optional
  GT1-44: Ethnic Group (CWE)Optional
  GT1-45: Contact Person's Name (XPN)Optional
  GT1-46: Contact Person's Telephone Number (XTN)Optional
  GT1-47: Contact Reason (CWE)Optional
  GT1-48: Contact Relationship (CWE)Optional
  GT1-49: Job Title (ST)Optional
  GT1-50: Job Code/Class (JCC)Optional
  GT1-51: Guarantor Employer's Organization Name (XON)Optional
  GT1-52: Handicap (CWE)Optional
  GT1-53: Job Status (CWE)Optional
  GT1-54: Guarantor Financial Class (FC)Optional
  GT1-55: Guarantor Race (CWE)Optional
  GT1-56: Guarantor Birth Place (ST)Optional
  GT1-57: VIP Indicator (CWE)Optional

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GT1()` Constructs the GT1 segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAmbulatoryStatus(CWE objAmbulatoryStatus)` Set the Ambulatory Status.
    `void` | `addAmbulatoryStatus(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Ambulatory Status.
    `void` | `addCitizenship(CWE Citizenship)` Set the Citizenship.
    `void` | `addCitizenship(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Citizenship.
    `void` | `addContactPersnTelphNo(java.lang.String strTeleCommunicationUseCode, java.lang.String strTeleCommunicationEquipmentType, java.lang.String strCommuinicationAddress, java.lang.String strCountryCode, java.lang.String strAreaCityCode, java.lang.String strLocalNumber, java.lang.String strExtension, java.lang.String strAnyText, java.lang.String strExtensionPrefix, java.lang.String strSpeedDialCode, java.lang.String strUnformattedTelephoneNumber, java.lang.String strEffectiveStartDate, java.lang.String strExpirationDate, CWE objExpirationReason, CWE objProtectionCode, EI objSharedTelecommunicationIdentifier, java.lang.String strPreferenceOrder)` Set the Contact Persn TelphNo.
    `void` | `addContactPersnTelphNo(XTN contactPersnTelphNo)` Set the Contact Persn TelphNo.
    `void` | `addContactPersonsName(FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, java.lang.String strNameTypeCode, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, DTM objEffectiveDate, DTM objExpirationDate, java.lang.String strProfessionalSuffix, java.lang.String strCalledBy)` Set the Contact Persons Name.
    `void` | `addContactPersonsName(XPN ContactPersonsName)` Set the Contact Persons Name.
    `void` | `addEthnicGroup(CWE EthnicGroup)` Set the Ethnic Group.
    `void` | `addEthnicGroup(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Ethnic Group.
    `void` | `addGuarantorAddress(SAD objStreetAddress, java.lang.String strOtherDesignation, java.lang.String strCity, java.lang.String strStateOrProvince, java.lang.String strZipOrPostalCode, java.lang.String strCountry, java.lang.String strAddressType, java.lang.String strOtherGeographicDesignation, CWE objCountyParishCode, CWE objCensusTract, java.lang.String strAddressRepresentationCode, DTM objEffectiveDate, DTM objExpirationDate, CWE objEXpirationReason, java.lang.String strTemporaryIndicator, java.lang.String strBadAddressIndicator, java.lang.String strAddressUsage, java.lang.String strAddressee, java.lang.String strComment, java.lang.String strPreferenceOrder, CWE objProtectionCode, EI objAddressIdentifier)` Set the Guarantor Address.
    `void` | `addGuarantorAddress(XAD objGuarantorAddress)`
    `void` | `addGuarantorEmpAdd(SAD objStreetAddress, java.lang.String strOtherDesignation, java.lang.String strCity, java.lang.String strStateOrProvince, java.lang.String strZipOrPostalCode, java.lang.String strCountry, java.lang.String strAddressType, java.lang.String strOtherGeographicDesignation, CWE objCountyParishCode, CWE objCensusTract, java.lang.String strAddressRepresentationCode, DTM objEffectiveDate, DTM objExpirationDate, CWE objEXpirationReason, java.lang.String strTemporaryIndicator, java.lang.String strBadAddressIndicator, java.lang.String strAddressUsage, java.lang.String strAddressee, java.lang.String strComment, java.lang.String strPreferenceOrder, CWE objProtectionCode, EI objAddressIdentifier)` Set the Guarantor Emp Add.
    `void` | `addGuarantorEmpAdd(XAD guarantorEmpAdd)` Set the Guarantor Emp Add.
    `void` | `addGuarantorEmpIDNo(CX guarantorEmpIDNo)` Set the Guarantor Emp ID No.
    `void` | `addGuarantorEmpIDNo(java.lang.String strIDNumber, java.lang.String strCheckDigit, java.lang.String strCheckDigitScheme, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepartment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set the Guarantor Emp ID No.
    `void` | `addGuarantorEmployeeIDNo(CX guarantorEmployeeIDNo)` Set the Guarantor Employee ID No.
    `void` | `addGuarantorEmployeeIDNo(java.lang.String strIDNumber, java.lang.String strCheckDigit, java.lang.String strCheckDigitScheme, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepartment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set the Guarantor Employee ID No.
    `void` | `addGuarantorEmpName(FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, java.lang.String strNameTypeCode, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, DTM objEffectiveDate, DTM objExpirationDate, java.lang.String strProfessionalSuffix, java.lang.String strCalledBy)` Set the Guarantor Emp Name.
    `void` | `addGuarantorEmpName(XPN guarantorEmpName)` Set the Guarantor Emp Name.
    `void` | `addGuarantorEmpPhNo(java.lang.String strTeleCommunicationUseCode, java.lang.String strTeleCommunicationEquipmentType, java.lang.String strCommuinicationAddress, java.lang.String strCountryCode, java.lang.String strAreaCityCode, java.lang.String strLocalNumber, java.lang.String strExtension, java.lang.String strAnyText, java.lang.String strExtensionPrefix, java.lang.String strSpeedDialCode, java.lang.String strUnformattedTelephoneNumber, java.lang.String strEffectiveStartDate, java.lang.String strExpirationDate, CWE objExpirationReason, CWE objProtectionCode, EI objSharedTelecommunicationIdentifier, java.lang.String strPreferenceOrder)` Set the Guarantor Emp PhNo.
    `void` | `addGuarantorEmpPhNo(XTN guarantorEmpPhNo)` Set the Guarantor Emp PhNo.
    `void` | `addGuarantorEmpsOrgNm(java.lang.String strOrganizationName, CWE objOrganizationNameTypeCode, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, java.lang.String strOrganizationIdentifier)` Set the Guarantor Emps OrgNm.
    `void` | `addGuarantorEmpsOrgNm(XON guarantorEmpsOrgNm)` Set the Guarantor Emps OrgNm.
    `void` | `addGuarantorName(FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, java.lang.String strNameTypeCode, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, DTM objEffectiveDate, DTM objExpirationDate, java.lang.String strProfessionalSuffix, java.lang.String strCalledBy)` Set the Guarantor Name.
    `void` | `addGuarantorName(XPN GuarantorName)` Set the Guarantor Name.
    `void` | `addGuarantorNumber(CX GuarantorNumber)` Set the Guarantor Number.
    `void` | `addGuarantorNumber(java.lang.String strIDNumber, java.lang.String strCheckDigit, java.lang.String strCheckDigitScheme, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strEffectiveDate, java.lang.String strExpirationDate, CWE objAssigningJurisdiction, CWE objAssigningAgencyOrDepartment, java.lang.String strSecurityCheck, java.lang.String strSecurityCheckScheme)` Set the Guarantor Number.
    `void` | `addGuarantorOrgName(java.lang.String strOrganizationName, CWE objOrganizationNameTypeCode, HD objAssigningAuthority, java.lang.String strIdentifierTypeCode, HD objAssigningFacility, java.lang.String strNameRepresentationCode, java.lang.String strOrganizationIdentifier)` Set the Guarantor OrgName.
    `void` | `addGuarantorOrgName(XON guarantorOrgName)` Set the Guarantor OrgName.
    `void` | `addGuarantorPhNum_Business(java.lang.String strTeleCommunicationUseCode, java.lang.String strTeleCommunicationEquipmentType, java.lang.String strCommuinicationAddress, java.lang.String strCountryCode, java.lang.String strAreaCityCode, java.lang.String strLocalNumber, java.lang.String strExtension, java.lang.String strAnyText, java.lang.String strExtensionPrefix, java.lang.String strSpeedDialCode, java.lang.String strUnformattedTelephoneNumber, java.lang.String strEffectiveStartDate, java.lang.String strExpirationDate, CWE objExpirationReason, CWE objProtectionCode, EI objSharedTelecommunicationIdentifier, java.lang.String strPreferenceOrder)` Set the Guarantor PhNum Business.
    `void` | `addGuarantorPhNum_Business(XTN GuarantorPhNum_Business)` Set the Guarantor PhNum Business.
    `void` | `addGuarantorPhNum_Home(java.lang.String strTeleCommunicationUseCode, java.lang.String strTeleCommunicationEquipmentType, java.lang.String strCommuinicationAddress, java.lang.String strCountryCode, java.lang.String strAreaCityCode, java.lang.String strLocalNumber, java.lang.String strExtension, java.lang.String strAnyText, java.lang.String strExtensionPrefix, java.lang.String strSpeedDialCode, java.lang.String strUnformattedTelephoneNumber, java.lang.String strEffectiveStartDate, java.lang.String strExpirationDate, CWE objExpirationReason, CWE objProtectionCode, EI objSharedTelecommunicationIdentifier, java.lang.String strPreferenceOrder)` Set the Guarantor PhNum Home.
    `void` | `addGuarantorPhNum_Home(XTN GuarantorPhNum_Home)` Set the Guarantor PhNum Home.
    `void` | `addGuarantorRace(CWE GuarantorRace)` Set the GuarantorRace.
    `void` | `addGuarantorRace(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the GuarantorRace.
    `void` | `addGuarantorSpouseName(FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, java.lang.String strNameTypeCode, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, DTM objEffectiveDate, DTM objExpirationDate, java.lang.String strProfessionalSuffix, java.lang.String strCalledBy)` Set the Guarantor Spouse Name.
    `void` | `addGuarantorSpouseName(XPN GuarantorSpouseName)` Set the Guarantor Spouse Name.
    `void` | `addMothersMaidenName(FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, java.lang.String strNameTypeCode, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, DTM objEffectiveDate, DTM objExpirationDate, java.lang.String strProfessionalSuffix, java.lang.String strCalledBy)` Set the Mothers Maiden Name.
    `void` | `addMothersMaidenName(XPN MothersMaidenName)` Set the Mothers Maiden Name.
    `ISingleCollection<CWE>` | `getAmbulatoryStatus()` Retrieves the Ambulatory Status.
    `ISingleCollection<CWE>` | `getCitizenship()` Retrieves the Citizenship.
    `ISingleCollection<XTN>` | `getContactPersnTelphNo()` Retrieves the Contact Persn TelphNo.
    `ISingleCollection<XPN>` | `getContactPersonsName()` Retrieves the Contact Persons Name.
    `CWE` | `getContactReason()` Retrieves the Contact Reason.
    `CWE` | `getContactRelationship()` Retrieves the Contact Relationship.
    `DT` | `getEmploymentStopDate()` Retrieves the Employment Stop Date.
    `ISingleCollection<CWE>` | `getEthnicGroup()` Retrieves the Ethnic Group.
    `ISingleCollection<XAD>` | `getGuarantorAddress()` Retrieves the Guarantor Address.
    `CWE` | `getGuarantorAdminSex()` Retrieves the Guarantor Admin Sex.
    `ID` | `getGuarantorBillingHoldFlag()` Retrieves the Guarantor Billing Hold Flag.
    `ST` | `getGuarantorBirthPlace()` Retrieves the Guarantor Birth Place.
    `CWE` | `getGuarantorChargeAdjustmtCode()` Retrieves the Guarantor Charge Adjustmt Code.
    `CWE` | `getGuarantorCreditRatingCode()` Retrieves the Guarantor Credit Rating Code.
    `DT` | `getGuarantorDate_Begin()` Retrieves the Guarantor Date Begin.
    `DT` | `getGuarantorDate_End()` Retrieves the Guarantor Date End.
    `DTM` | `getGuarantorDeathDateAndTime()` Retrieves the Guarantor Death Date And Time.
    `ID` | `getGuarantorDeathFlag()` Retrieves the Guarantor Death Flag.
    `DTM` | `getGuarantorDtTmOfBirth()` Retrieves the Guarantor Dt Tm Of Birth.
    `ISingleCollection<XAD>` | `getGuarantorEmpAdd()` Retrieves the Guarantor Emp Add.
    `ISingleCollection<CX>` | `getGuarantorEmpIDNo()` Retrieves the Guarantor Emp ID No.
    `ISingleCollection<CX>` | `getGuarantorEmployeeIDNo()` Retrieves the Guarantor Employee ID No.
    `CWE` | `getGuarantorEmpmtStatus()` Retrieves the Guarantor Empmt Status.
    `ISingleCollection<XPN>` | `getGuarantorEmpName()` Retrieves the Guarantor Emp Name.
    `ISingleCollection<XTN>` | `getGuarantorEmpPhNo()` Retrieves the Guarantor Emp PhNo.
    `ISingleCollection<XON>` | `getGuarantorEmpsOrgNm()` Retrieves the Guarantor Emps OrgNm.
    `FC` | `getGuarantorFinancialClass()` Retrieves the Guarantor Financial Class.
    `DT` | `getGuarantorHireEffectiveDate()` Retrieves the Guarantor Hire Effective Date.
    `CP` | `getGuarantorHousehldAnualInc()` Retrieves the Guarantor Househld Anual Inc.
    `NM` | `getGuarantorHousehldSize()` Retrieves the Guarantor Househld Size.
    `CWE` | `getGuarantorMaritalStatusCode()` Retrieves the Guarantor Marital Status Code.
    `ISingleCollection<XPN>` | `getGuarantorName()` Retrieves the Guarantor Name.
    `ISingleCollection<CX>` | `getGuarantorNumber()` Retrieves the Guarantor Number.
    `ISingleCollection<XON>` | `getGuarantorOrgName()` Retrieves the Guarantor OrgName.
    `ISingleCollection<XTN>` | `getGuarantorPhNum_Business()` Retrieves the Guarantor PhNum Business.
    `ISingleCollection<XTN>` | `getGuarantorPhNum_Home()` Retrieves the Guarantor PhNum Home.
    `NM` | `getGuarantorPriority()` Retrieves the Guarantor Priority.
    `ISingleCollection<CWE>` | `getGuarantorRace()` Retrieves the GuarantorRace.
    `CWE` | `getGuarantorRelationship()` Retrieves the Guarantor Relationship.
    `ISingleCollection<XPN>` | `getGuarantorSpouseName()` Retrieves the Guarantor Spouse Name.
    `ST` | `getGuarantorSSN()` Retrieves the Guarantor SSN.
    `CWE` | `getGuarantorType()` Retrieves the Guarantor Type.
    `CWE` | `getHandicap()` Retrieves the Handicap.
    `JCC` | `getJobCodeClass()` Retrieves the Job Code Class.
    `CWE` | `getJobStatus()` Retrieves the Job Status.
    `ST` | `getJobTitle()` Retrieves the Job Title.
    `CWE` | `getLivingArrangement()` Retrieves the Living Arrangement.
    `CWE` | `getLivingDependency()` Retrieves the Living Dependency.
    `ISingleCollection<XPN>` | `getMothersMaidenName()` Retrieves the Mothers Maiden Name.
    `CWE` | `getNationality()` Retrieves the Nationality.
    `CWE` | `getPrimaryLanguage()` Retrieves the Primary Language.
    `ID` | `getProtectionIndicator()` Retrieves the Protection Indicator.
    `CWE` | `getPublicityCode()` Retrieves the Publicity Code.
    `CWE` | `getReligion()` Retrieves the Religion.
    `SI` | `getSetID_GT1()` Retrieves the Set ID GT1.
    `CWE` | `getStudentIndicator()` Retrieves the Student Indicator.
    `CWE` | `getVIPIndicator()` Retrieves the VIP Indicator.
    `void` | `setAmbulatoryStatus(ISingleCollection<CWE> objAmbulatoryStatusList)` Set the AmbulatoryStatus list.
    `void` | `setCitizenship(ISingleCollection<CWE> objCitizenshipList)` Set the Citizenship list.
    `void` | `setContactPersnTelphNo(ISingleCollection<XTN> objContactPersnTelphNoList)` Set the ContactPersnTelphNo list.
    `void` | `setContactPersonsName(ISingleCollection<XPN> objContactPersonsNameList)` Set the ContactPersonsName list.
    `void` | `setContactReason(CWE contactReason)` Set the Contact Reason.
    `void` | `setContactReason(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Contact Reason.
    `void` | `setContactRelationship(CWE objcontactRelationship)` Set the Contact Relationship.
    `void` | `setContactRelationship(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Contact Relationship.
    `void` | `setEmploymentStopDate(DT objemploymentStopDate)` Set the Employment Stop Date.
    `void` | `setEmploymentStopDate(java.lang.String strEmploymentStopDate)` Set the Employment Stop Date.
    `void` | `setEthnicGroup(ISingleCollection<CWE> objEthnicGroupList)` Set the EthnicGroup list.
    `void` | `setGuarantorAddress(ISingleCollection<XAD> objGuarantorAddressList)` Set the Guarantor Address list.
    `void` | `setGuarantorAdminSex(CWE objguarantorAdminSex)` Set the Guarantor Admin Sex.
    `void` | `setGuarantorAdminSex(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Guarantor Admin Sex.
    `void` | `setGuarantorBillingHoldFlag(ID objguarantorBillingHoldFlag)` Set the Guarantor Billing Hold Flag.
    `void` | `setGuarantorBillingHoldFlag(java.lang.String strGuarantorBillingHoldFlag)` Set the Guarantor Billing Hold Flag.
    `void` | `setGuarantorBirthPlace(ST objguarantorBirthPlace)` Set the Guarantor Birth Place.
    `void` | `setGuarantorBirthPlace(java.lang.String strGuarantorBirthPlace)` Setthe Guarantor Birth Place.
    `void` | `setGuarantorChargeAdjustmtCode(CWE guarantorChargeAdjustmtCode)` Set the Guarantor Charge Adjustmt Code.
    `void` | `setGuarantorChargeAdjustmtCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Guarantor Charge Adjustmt Code.
    `void` | `setGuarantorCreditRatingCode(CWE guarantorCreditRatingCode)` Set the Guarantor Credit Rating Code.
    `void` | `setGuarantorCreditRatingCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Guarantor Credit Rating Code.
    `void` | `setGuarantorDate_Begin(DT objguarantorDate_Begin)` Set the Guarantor Date Begin.
    `void` | `setGuarantorDate_Begin(java.lang.String strGuarantorDate_Begin)` Set the Guarantor Date Begin.
    `void` | `setGuarantorDate_End(DT objguarantorDate_End)` Set the Guarantor Date End.
    `void` | `setGuarantorDate_End(java.lang.String strGuarantorDate_End)` Set the Guarantor Date End.
    `void` | `setGuarantorDeathDateAndTime(DTM guarantorDeathDateAndTime)` Set the Guarantor Death Date And Time.
    `void` | `setGuarantorDeathDateAndTime(java.lang.String strTime)` Set the Guarantor Death Date And Time.
    `void` | `setGuarantorDeathFlag(ID objguarantorDeathFlag)` Set Guarantor Death Flag.
    `void` | `setGuarantorDeathFlag(java.lang.String strGuarantorDeathFlag)` Set Guarantor Death Flag.
    `void` | `setGuarantorDtTmOfBirth(DTM guarantorDtTmOfBirth)` Set the Guarantor Dt Tm Of Birth.
    `void` | `setGuarantorDtTmOfBirth(java.lang.String strTime)` Set the Guarantor Dt Tm Of Birth.
    `void` | `setGuarantorEmpAdd(ISingleCollection<XAD> objGuarantorEmpAddList)` Set the GuarantorEmpAdd list.
    `void` | `setGuarantorEmpIDNo(ISingleCollection<CX> objGuarantorEmpIDNoList)` Set the GuarantorEmpIDNo list.
    `void` | `setGuarantorEmployeeIDNo(ISingleCollection<CX> objGuarantorEmployeeIDNoList)` Set the GuarantorEmployeeIDNo list.
    `void` | `setGuarantorEmpmtStatus(CWE objguarantorEmpmtStatus)` Set the Guarantor Empmt Status.
    `void` | `setGuarantorEmpmtStatus(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Guarantor Empmt Status.
    `void` | `setGuarantorEmpName(ISingleCollection<XPN> objGuarantorEmpNameList)` Set the GuarantorEmpName list.
    `void` | `setGuarantorEmpPhNo(ISingleCollection<XTN> objGuarantorEmpPhNoList)` Set the GuarantorEmpPhNo list.
    `void` | `setGuarantorEmpsOrgNm(ISingleCollection<XON> objGuarantorEmpsOrgNmList)` Set the GuarantorEmpsOrgNm list.
    `void` | `setGuarantorFinancialClass(CWE cweFinancialClassCode, DTM objEffectiveDate)` Set the Guarantor Financial Class.
    `void` | `setGuarantorFinancialClass(FC guarantorFinancialClass)` Set the Guarantor Financial Class.
    `void` | `setGuarantorHireEffectiveDate(DT objguarantorHireEffectiveDate)` Set the Guarantor Hire Effective Date.
    `void` | `setGuarantorHireEffectiveDate(java.lang.String strGuarantorHireEffectiveDate)` Set the Guarantor Hire Effective Date.
    `void` | `setGuarantorHousehldAnualInc(CP guarantorHousehldAnualInc)` Set the Guarantor Househld Anual Inc.
    `void` | `setGuarantorHousehldAnualInc(MO objPrice, java.lang.String strPriceType, java.lang.String strFromValue, java.lang.String strToValue, CWE objRangeUnits, java.lang.String strRangeType)` Set the Guarantor Househld Anual Inc.
    `void` | `setGuarantorHousehldSize(NM objguarantorHousehldSize)` Set the Guarantor Househld Size.
    `void` | `setGuarantorHousehldSize(java.lang.String strguarantorHousehldSize)` Set the Guarantor Househld Size.
    `void` | `setGuarantorMaritalStatusCode(CWE guarantorMaritalStatusCode)` Set the Guarantor Marital Status Code.
    `void` | `setGuarantorMaritalStatusCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Guarantor Marital Status Code.
    `void` | `setGuarantorName(ISingleCollection<XPN> objGuarantorNameList)` Set the GuarantorName list.
    `void` | `setGuarantorNumber(ISingleCollection<CX> objGuarantorNumberList)` Set the GuarantorNumber list.
    `void` | `setGuarantorOrgName(ISingleCollection<XON> objGuarantorOrgNameList)` Set the GuarantorOrgName list.
    `void` | `setGuarantorPhNum_Business(ISingleCollection<XTN> objGuarantorPhNum_BusinessList)` Set the GuarantorPhNum_Business list.
    `void` | `setGuarantorPhNum_Home(ISingleCollection<XTN> objGuarantorPhNum_HomeList)` Set the GuarantorPhNum_Home list.
    `void` | `setGuarantorPriority(NM objguarantorPriority)` Set the Guarantor Priority.
    `void` | `setGuarantorPriority(java.lang.String strGuarantorPriority)` Set the Guarantor Priority.
    `void` | `setGuarantorRace(ISingleCollection<CWE> objGuarantorRaceList)` Set the GuarantorRace list.
    `void` | `setGuarantorRelationship(CWE guarantorRelationship)` Set the Guarantor Relationship.
    `void` | `setGuarantorRelationship(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Guarantor Relationship.
    `void` | `setGuarantorSpouseName(ISingleCollection<XPN> objGuarantorSpouseNameList)` Set the GuarantorSpouseName list.
    `void` | `setGuarantorSSN(ST objguarantorSSN)` Set the Guarantor SSN.
    `void` | `setGuarantorSSN(java.lang.String strGuarantorSSN)` Set the Guarantor SSN.
    `void` | `setGuarantorType(CWE objguarantorType)` Set the Guarantor Type.
    `void` | `setGuarantorType(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Guarantor Type.
    `void` | `setHandicap(CWE objhandicap)` Set the Handicap.
    `void` | `setHandicap(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Handicap.
    `void` | `setJobCodeClass(CWE cweJobCode, CWE cweJobClass, java.lang.String strJobDescriptionText)` Set the Job Code Class.
    `void` | `setJobCodeClass(JCC jobCodeClass)` Set the Job Code Class.
    `void` | `setJobStatus(CWE objjobStatus)` Set the Job Status.
    `void` | `setJobStatus(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Job Status.
    `void` | `setJobTitle(ST objjobTitle)` Set the Job Title.
    `void` | `setJobTitle(java.lang.String strJobTitle)` Set the Job Title.
    `void` | `setLivingArrangement(CWE objlivingArrangement)` Set the Living Arrangement.
    `void` | `setLivingArrangement(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Living Arrangement.
    `void` | `setLivingDependency(CWE objlivingDependency)` Set the Living Dependency.
    `void` | `setLivingDependency(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Living Dependency.
    `void` | `setMothersMaidenName(ISingleCollection<XPN> objMothersMaidenNameList)` Set the MothersMaidenName list.
    `void` | `setNationality(CWE nationality)` Set the Nationality.
    `void` | `setNationality(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Nationality.
    `void` | `setPrimaryLanguage(CWE primaryLanguage)` Set the Primary Language.
    `void` | `setPrimaryLanguage(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Primary Language.
    `void` | `setProtectionIndicator(ID objprotectionIndicator)` Set the Protection Indicator.
    `void` | `setProtectionIndicator(java.lang.String strProtectionIndicator)` Set the Protection Indicator.
    `void` | `setPublicityCode(CWE publicityCode)` Set the Publicity Code.
    `void` | `setPublicityCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Publicity Code.
    `void` | `setReligion(CWE religion)` Set the Religion.
    `void` | `setReligion(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Religion.
    `void` | `setSetID_GT1(SI objsetID_GT1)` Set the Set ID GT1.
    `void` | `setSetID_GT1(java.lang.String strSetID_GT1)` Set the Set ID GT1.
    `void` | `setStudentIndicator(CWE objstudentIndicator)` Set the Student ndicator.
    `void` | `setStudentIndicator(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Student ndicator.
    `void` | `setVIPIndicator(CWE objvIPIndicator)` Set the VIP Indicator.
    `void` | `setVIPIndicator(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the VIP Indicator.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GT1

          public GT1()

      Constructs the GT1 segment.

  - ### Method Detail

    - #### getAmbulatoryStatus

          public ISingleCollection<CWE> getAmbulatoryStatus()

      Retrieves the Ambulatory Status. This field identify the transient state of mobility for the guarantor.
      Returns:
        ISingleCollection - ambulatoryStatus

    - #### getCitizenship

          public ISingleCollection<CWE> getCitizenship()

      Retrieves the Citizenship. This field contains the code to identify the guarantor's citizenship.
      Returns:
        ISingleCollection - citizenship

    - #### getContactPersnTelphNo

          public ISingleCollection<XTN> getContactPersnTelphNo()

      Retrieves the Contact Persn TelphNo. This field contains the telephone number of the guarantor (person) to contact regarding guarantor bills, etc.
      Returns:
        ISingleCollection - contactPersnTelphNo

    - #### getContactPersonsName

          public ISingleCollection<XPN> getContactPersonsName()

      Retrieves the Contact Persons Name. This field contains the name of the person who should be contacted regarding the guarantor bills, etc.
      Returns:
        ISingleCollection - contactPersonsName

    - #### getContactReason

          public CWE getContactReason()

      Retrieves the Contact Reason. This field contains a user-defined code that identifies the reason for contacting the guarantor.
      Returns:
        CWE - contactReason

    - #### getContactRelationship

          public CWE getContactRelationship()

      Retrieves the Contact Relationship. This field identifies the guarantor relationship to the contact person.
      Returns:
        CWE - contactRelationship

    - #### getEmploymentStopDate

          public DT getEmploymentStopDate()

      Retrieves the Employment Stop Date. This field indicates the date on which the guarantor's employment with a particular employer ended.
      Returns:
        DT - employmentStopDate

    - #### getEthnicGroup

          public ISingleCollection<CWE> getEthnicGroup()

      Retrieves the Ethnic Group. This field contains the guarantor's ethnic group.
      Returns:
        ISingleCollection - ethnicGroup

    - #### getGuarantorAddress

          public ISingleCollection<XAD> getGuarantorAddress()

      Retrieves the Guarantor Address. This field contains the guarantor's address. Multiple addresses for the same person may be sent in this field.
      Returns:
        ISingleCollection - guarantorAddress

    - #### getGuarantorAdminSex

          public CWE getGuarantorAdminSex()

      Retrieves the Guarantor Admin Sex. This field contains the guarantor's gender.
      Returns:
        CWE - guarantorAdminSex

    - #### getGuarantorBillingHoldFlag

          public ID getGuarantorBillingHoldFlag()

      Retrieves the Guarantor Billing Hold Flag. This field indicates whether a system should suppress printing of the guarantor's bills or not.
      Returns:
        ID - guarantorBillingHoldFlag

    - #### getGuarantorBirthPlace

          public ST getGuarantorBirthPlace()

      Retrieves the Guarantor Birth Place. This field contains the description of the guarantor's birth place.
      Returns:
        ST - guarantorBirthPlace

    - #### getGuarantorChargeAdjustmtCode

          public CWE getGuarantorChargeAdjustmtCode()

      Retrieves the Guarantor Charge Adjustmt Code. This field contains user-defined codes that indicate which adjustments should be made to this guarantor's charges.
      Returns:
        CWE - guarantorChargeAdjustmtCode

    - #### getGuarantorCreditRatingCode

          public CWE getGuarantorCreditRatingCode()

      Retrieves the Guarantor Credit Rating Code.
      Returns:
        CWE - guarantorCreditRatingCode

    - #### getGuarantorDate_Begin

          public DT getGuarantorDate_Begin()

      Retrieves the Guarantor Date Begin. This field contains the date that the guarantor becomes responsible for the patient's account.
      Returns:
        DT - guarantorDate_Begin

    - #### getGuarantorDate_End

          public DT getGuarantorDate_End()

      Retrieves the Guarantor Date End. This field contains the date that the guarantor stops being responsible for the patient's account.
      Returns:
        DT - guarantorDate_End

    - #### getGuarantorDeathDateAndTime

          public DTM getGuarantorDeathDateAndTime()

      Retrieves the Guarantor Death Date And Time. This field is used to indicate the date and time at which the guarantor's death occurred.
      Returns:
        DTM - guarantorDeathDateAndTime

    - #### getGuarantorDeathFlag

          public ID getGuarantorDeathFlag()

      Retrieves the Guarantor Death Flag. This field indicates whether the guarantor is deceased or not.
      Returns:
        ID - guarantorDeathFlag

    - #### getGuarantorDtTmOfBirth

          public DTM getGuarantorDtTmOfBirth()

      Retrieves the Guarantor Dt Tm Of Birth. This field contains the guarantor's date of birth.
      Returns:
        DTM - guarantorDtTmOfBirth

    - #### getGuarantorEmpAdd

          public ISingleCollection<XAD> getGuarantorEmpAdd()

      Retrieves the Guarantor Emp Add. This field contains the guarantor's employer's address.
      Returns:
        ISingleCollection - guarantorEmpAdd

    - #### getGuarantorEmpIDNo

          public ISingleCollection<CX> getGuarantorEmpIDNo()

      Retrieves the Guarantor Emp ID No. This field specify the code that uniquely identifies the guarantor's employer when the employer is a person.
      Returns:
        ISingleCollection - guarantorEmpIDNo

    - #### getGuarantorEmployeeIDNo

          public ISingleCollection<CX> getGuarantorEmployeeIDNo()

      Retrieves the Guarantor Employee ID No. This field contains the guarantor's employee number.
      Returns:
        ISingleCollection - guarantorEmployeeIDNo

    - #### getGuarantorEmpmtStatus

          public CWE getGuarantorEmpmtStatus()

      Retrieves the Guarantor Empmt Status. This field contains the code that indicates the guarantor's employment status.
      Returns:
        CWE - guarantorEmpmtStatus

    - #### getGuarantorEmpName

          public ISingleCollection<XPN> getGuarantorEmpName()

      Retrieves the Guarantor Emp Name. This field contains the name of the guarantor's employer, if the employer is a person.
      Returns:
        ISingleCollection - guarantorEmpName

    - #### getGuarantorEmpPhNo

          public ISingleCollection<XTN> getGuarantorEmpPhNo()

      Retrieves the Guarantor Emp PhNo. This field contains the guarantor's employer's phone number. Multiple phone numbers for the same employer may be sent in this field.
      Returns:
        ISingleCollection - guarantorEmpPhNo

    - #### getGuarantorEmpsOrgNm

          public ISingleCollection<XON> getGuarantorEmpsOrgNm()

      Retrieves the Guarantor Emps OrgNm. This field contains the name of the guarantor's employer when the guarantor's employer is an organization.
      Returns:
        ISingleCollection - guarantorEmpsOrgNm

    - #### getGuarantorFinancialClass

          public FC getGuarantorFinancialClass()

      Retrieves the Guarantor Financial Class. This field contains the financial class (FC) assigned to the guarantor for the purpose of identifying sources of reimbursement.
      Returns:
        FC - guarantorFinancialClass

    - #### getGuarantorHireEffectiveDate

          public DT getGuarantorHireEffectiveDate()

      Retrieves the Guarantor Hire Effective Date. This field contains the date that the guarantor's employment began.i
      Returns:
        DT - guarantorHireEffectiveDate

    - #### getGuarantorHousehldAnualInc

          public CP getGuarantorHousehldAnualInc()

      Retrieves the Guarantor Househld Anual Inc. This field contains the combined annual income of all members of the guarantor's household.
      Returns:
        CP - guarantorHousehldAnualInc

    - #### getGuarantorHousehldSize

          public NM getGuarantorHousehldSize()

      Retrieves the Guarantor Househld Size. This field specify the number of people living at the guarantor's primary residence.
      Returns:
        NM - guarantorHousehldSize

    - #### getGuarantorMaritalStatusCode

          public CWE getGuarantorMaritalStatusCode()

      Retrieves the Guarantor Marital Status Code. This field contains the marital status of the guarantor.
      Returns:
        CWE - guarantorMaritalStatusCode

    - #### getGuarantorName

          public ISingleCollection<XPN> getGuarantorName()

      Retrieves the Guarantor Name. This field contains the name of the guarantor. Multiple names for the same guarantor may be sent in this field.
      Returns:
        ISingleCollection - guarantorName

    - #### getGuarantorNumber

          public ISingleCollection<CX> getGuarantorNumber()

      Retrieves the Guarantor Number. This field contains the primary identifier, or other identifiers, assigned to the guarantor.
      Returns:
        ISingleCollection - guarantorNumber

    - #### getGuarantorOrgName

          public ISingleCollection<XON> getGuarantorOrgName()

      Retrieves the Guarantor OrgName. This field contains the name of the guarantor when the guarantor is an organization.
      Returns:
        ISingleCollection - guarantorOrgName

    - #### getGuarantorPhNum_Business

          public ISingleCollection<XTN> getGuarantorPhNum_Business()

      Retrieves the Guarantor PhNum Business. This field contains the guarantor's business phone number.
      Returns:
        ISingleCollection - guarantorPhNum_Business

    - #### getGuarantorPhNum_Home

          public ISingleCollection<XTN> getGuarantorPhNum_Home()

      Retrieves the Guarantor PhNum Home. This field contains the guarantor's home phone number. All personal phone numbers for the guarantor may be sent in this field.
      Returns:
        ISingleCollection - guarantorPhNum_Home

    - #### getGuarantorPriority

          public NM getGuarantorPriority()

      Retrieves the Guarantor Priority. This field is used to determine the order in which the guarantors are responsible for the patient's account.
      Returns:
        NM - guarantorPriority

    - #### getGuarantorRace

          public ISingleCollection<CWE> getGuarantorRace()

      Retrieves the GuarantorRace. This field refers to the guarantor's race.
      Returns:
        ISingleCollection - guarantorRace

    - #### getGuarantorRelationship

          public CWE getGuarantorRelationship()

      Retrieves the Guarantor Relationship. This field indicates the relationship of the guarantor with the patient.
      Returns:
        CWE - guarantorRelationship

    - #### getGuarantorSpouseName

          public ISingleCollection<XPN> getGuarantorSpouseName()

      Retrieves the Guarantor Spouse Name. This field contains the name of the guarantor's spouse.
      Returns:
        ISingleCollection - guarantorSpouseName

    - #### getGuarantorSSN

          public ST getGuarantorSSN()

      Retrieves the Guarantor SSN. This field contains the guarantor's social security number.
      Returns:
        ST - guarantorSSN

    - #### getGuarantorType

          public CWE getGuarantorType()

      Retrieves the Guarantor Type. This field indicates the type of guarantor, e.g., individual, institution, etc
      Returns:
        CWE - guarantorType

    - #### getHandicap

          public CWE getHandicap()

      Retrieves the Handicap. This field contains a code to describe the guarantor's disability.
      Returns:
        CWE - handicap

    - #### getJobCodeClass

          public JCC getJobCodeClass()

      Retrieves the Job Code Class. This field contains the guarantor's job code and employee classification.
      Returns:
        JCC - jobCodeClass

    - #### getJobStatus

          public CWE getJobStatus()

      Retrieves the Job Status. This field contains a code that identifies the guarantor's current job status.
      Returns:
        CWE - jobStatus

    - #### getJobTitle

          public ST getJobTitle()

      Retrieves the Job Title. This field contains a descriptive name of the guarantor's occupation.
      Returns:
        ST - jobTitle

    - #### getLivingArrangement

          public CWE getLivingArrangement()

      Retrieves the Living Arrangement. This field identifies the situation in which the person lives at his residential address.
      Returns:
        CWE - livingArrangement

    - #### getLivingDependency

          public CWE getLivingDependency()

      Retrieves the Living Dependency. This field specify the living conditions of the guarantor.
      Returns:
        CWE - livingDependency

    - #### getMothersMaidenName

          public ISingleCollection<XPN> getMothersMaidenName()

      Retrieves the Mothers Maiden Name. This field indicates the guarantor's mother's maiden name.
      Returns:
        ISingleCollection - mothersMaidenName

    - #### getNationality

          public CWE getNationality()

      Retrieves the Nationality. This field contains a code that identifies the nation or national grouping to which the person belongs.
      Returns:
        CWE - nationality

    - #### getPrimaryLanguage

          public CWE getPrimaryLanguage()

      Retrieves the Primary Language. This field identify the guarantor's primary speaking language.
      Returns:
        CWE - primaryLanguage

    - #### getProtectionIndicator

          public ID getProtectionIndicator()

      Retrieves the Protection Indicator. This field identify the guarantor's protection, which determines whether access to information about this enrollee should be restricted from users who do not have adequate authority or not.
      Returns:
        ID - protectionIndicator

    - #### getPublicityCode

          public CWE getPublicityCode()

      Retrieves the Publicity Code. This field contains a user-defined code indicating what level of publicity is allowed.
      Returns:
        CWE - publicityCode

    - #### getReligion

          public CWE getReligion()

      Retrieves the Religion. This field indicates the type of religion practiced by the guarantor.
      Returns:
        CWE - religion

    - #### getSetID_GT1

          public SI getSetID_GT1()

      Retrieves the Set ID GT1. This field contains a number that identify this transaction.
      Returns:
        SI - setID_GT1

    - #### getStudentIndicator

          public CWE getStudentIndicator()

      Retrieves the Student Indicator. This field indicates whether the guarantor is currently a student, and whether the guarantor is a full-time or part-time student.
      Returns:
        CWE - studentIndicator

    - #### getVIPIndicator

          public CWE getVIPIndicator()

      Retrieves the VIP Indicator. This field identifies the type of VIP for the guarantor.
      Returns:
        CWE - vIPIndicator

    - #### addGuarantorAddress

          public void addGuarantorAddress(SAD objStreetAddress,
                                 java.lang.String strOtherDesignation,
                                 java.lang.String strCity,
                                 java.lang.String strStateOrProvince,
                                 java.lang.String strZipOrPostalCode,
                                 java.lang.String strCountry,
                                 java.lang.String strAddressType,
                                 java.lang.String strOtherGeographicDesignation,
                                 CWE objCountyParishCode,
                                 CWE objCensusTract,
                                 java.lang.String strAddressRepresentationCode,
                                 DTM objEffectiveDate,
                                 DTM objExpirationDate,
                                 CWE objEXpirationReason,
                                 java.lang.String strTemporaryIndicator,
                                 java.lang.String strBadAddressIndicator,
                                 java.lang.String strAddressUsage,
                                 java.lang.String strAddressee,
                                 java.lang.String strComment,
                                 java.lang.String strPreferenceOrder,
                                 CWE objProtectionCode,
                                 EI objAddressIdentifier)

      Set the Guarantor Address. This field contains the guarantor's address. Multiple addresses for the same person may be sent in this field.
      Parameters:
        `objStreetAddress` - Specifies the street address.
        `strOtherDesignation` - Specifies the Second line of address.
        `strCity` - The city, or district or place where the addressee is located.
        `strStateOrProvince` - Specifies the state or province where the addressee is located.
        `strZipOrPostalCode` - Specifies the zip or postal code where the addressee is located.
        `strCountry` - Specifies the country where the addressee is located.
        `strAddressType` - Specifies the kind or type of address.
        `strOtherGeographicDesignation` - Specifies any other geographic designation.
        `objCountyParishCode` - Specifies a code that represents the county in which the specified address resides.
        `objCensusTract` - Specifies a code that represents the census tract in which the specified address resides.
        `strAddressRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objEffectiveDate` - It is The first date, if known, on which the address is valid and active.
        `objExpirationDate` - It is The last date, if known, on which the address is valid and active.
        `objExpirationReason` - indicates why this address was marked as ended.
        `strTemporaryIndicator` - indicates whether address is considered temporary .
        `strBadAddressIndicator` - indicates whether it is possible to contact the owning entity.
        `strAddressUsage` - indicates how the address is intended to be used.
        `strAddressee` - indicates the name of the person whose address is intended to be used.
        `strComment` - indicated descriptive information
        `strPreferenceOrder` - preference order
        `objProtectionCode` - indicates that an address need to be protected
        `objAdressIdentifier` - indicates a unique identifier for address

    - #### addGuarantorAddress

          public void addGuarantorAddress(XAD objGuarantorAddress)

      Parameters:
        `objEffectiveDate` - It is The first date, if known, on which the address is valid and active.
        `objExpirationDate` - It is The last date, if known, on which the address is valid and active.

    - #### setGuarantorAddress

          public void setGuarantorAddress(ISingleCollection<XAD> objGuarantorAddressList)

      Set the Guarantor Address list.
      Parameters:
        `objGuarantorAddressList` - List of Diagnosing Clinician

    - #### setGuarantorAdminSex

          public void setGuarantorAdminSex(java.lang.String strIdentifier,
                                  java.lang.String strText,
                                  java.lang.String strNameOfCodingSystem,
                                  java.lang.String strAlternateIdentifier,
                                  java.lang.String strAlternateText,
                                  java.lang.String strNameOfAlternateCodingSystem,
                                  java.lang.String strCodingSystemVersionID,
                                  java.lang.String strAlternateCodingSystemVersionId,
                                  java.lang.String strOriginalText,
                                  java.lang.String strSecondAlternateIdentifier,
                                  java.lang.String strSecondAlternateText,
                                  java.lang.String strNameofSecondAlternateCodingSystem,
                                  java.lang.String strSecondAlternateCodingSystemVersionID,
                                  java.lang.String strCodingSystemOID,
                                  java.lang.String strValueSetOID,
                                  java.lang.String strValueSetVersionID,
                                  java.lang.String strAlternateCodingSystemOID,
                                  java.lang.String strAlternateValueSetOID,
                                  java.lang.String strAlternateValueSetVersionID,
                                  java.lang.String strSecondAlternateCodingSystemOID,
                                  java.lang.String strSecondAlternateValueSetOID,
                                  java.lang.String strSecondAlternateValueSetVersionID)

      Set the Guarantor Admin Sex. This field contains the guarantor's gender.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setGuarantorAdminSex

          public void setGuarantorAdminSex(CWE objguarantorAdminSex)

      Set the Guarantor Admin Sex. This field contains the guarantor's gender.
      Parameters:
        `strguarantorAdminSex` - Specifies Administrative sex.Suggested values are M,F,O,U,N [Refer table 0001]

    - #### setGuarantorDate_Begin

          public void setGuarantorDate_Begin(java.lang.String strGuarantorDate_Begin)

      Set the Guarantor Date Begin. This field contains the date that the guarantor becomes responsible for the patient's account.
      Parameters:
        `strGuarantorDate_Begin` - Specifies the date that the guarantor becomes responsible for the patient's account.

    - #### setGuarantorDate_Begin

          public void setGuarantorDate_Begin(DT objguarantorDate_Begin)

      Set the Guarantor Date Begin. This field contains the date that the guarantor becomes responsible for the patient's account.
      Parameters:
        `objguarantorDate_Begin` - Specifies the date that the guarantor becomes responsible for the patient's account.

    - #### setGuarantorDate_End

          public void setGuarantorDate_End(java.lang.String strGuarantorDate_End)

      Set the Guarantor Date End. This field contains the date that the guarantor stops being responsible for the patient's account.
      Parameters:
        `strGuarantorDate_End` - Specifies the date that the guarantor stops being responsible for the patient's account.

    - #### setGuarantorDate_End

          public void setGuarantorDate_End(DT objguarantorDate_End)

      Set the Guarantor Date End. This field contains the date that the guarantor stops being responsible for the patient's account.
      Parameters:
        `objguarantorDate_End` - Specifies the date that the guarantor stops being responsible for the patient's account.

    - #### setGuarantorDtTmOfBirth

          public void setGuarantorDtTmOfBirth(java.lang.String strTime)

      Set the Guarantor Dt Tm Of Birth. This field contains the guarantor's date of birth.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setGuarantorDtTmOfBirth

          public void setGuarantorDtTmOfBirth(DTM guarantorDtTmOfBirth)

      Set the Guarantor Dt Tm Of Birth. This field contains the guarantor's date of birth.
      Parameters:
        `guarantorDtTmOfBirth` - Guarantor Dt Tm Of Birth.

    - #### addGuarantorName

          public void addGuarantorName(FN objFamilyName,
                              java.lang.String strGivenName,
                              java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                              java.lang.String strSuffix,
                              java.lang.String strPrefix,
                              java.lang.String strNameTypeCode,
                              java.lang.String strNameRepresentationCode,
                              CWE objNameContext,
                              java.lang.String strNameAssemblyOrder,
                              DTM objEffectiveDate,
                              DTM objExpirationDate,
                              java.lang.String strProfessionalSuffix,
                              java.lang.String strCalledBy)

      Set the Guarantor Name. This field contains the name of the guarantor. Multiple names for the same guarantor may be sent in this field.
      Parameters:
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strNameTypeCode` - Specifies a code that represents the type of name. Suggested values are A,B,C,D,I,L,M,N,P,R,S,T,U...[Refer table 0200.]
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `objEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `objExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `strCalledBy` - Used to specify the called name.

    - #### addGuarantorName

          public void addGuarantorName(XPN GuarantorName)

      Set the Guarantor Name. This field contains the name of the guarantor. Multiple names for the same guarantor may be sent in this field.
      Parameters:
        `GuarantorName` - Guarantor Name

    - #### setGuarantorName

          public void setGuarantorName(ISingleCollection<XPN> objGuarantorNameList)

      Set the GuarantorName list.
      Parameters:
        `objGuarantorNameList` - List of Diagnosing Clinician

    - #### addGuarantorNumber

          public void addGuarantorNumber(java.lang.String strIDNumber,
                                java.lang.String strCheckDigit,
                                java.lang.String strCheckDigitScheme,
                                HD objAssigningAuthority,
                                java.lang.String strIdentifierTypeCode,
                                HD objAssigningFacility,
                                java.lang.String strEffectiveDate,
                                java.lang.String strExpirationDate,
                                CWE objAssigningJurisdiction,
                                CWE objAssigningAgencyOrDepartment,
                                java.lang.String strSecurityCheck,
                                java.lang.String strSecurityCheckScheme)

      Set the Guarantor Number. This field contains the primary identifier, or other identifiers, assigned to the guarantor.
      Parameters:
        `strIDNumber` - Specifies the value of the identifier itself.
        `strCheckDigit` - It is part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Contains the code identifying the check digit scheme employed. Suggested Values NP,ISO,M10,M11.[Refer table No.0061].
        `objAssigningAuthority` - The assigning authority is a unique name of the system (or organization or agency or department) that creates the data. .
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.In some cases, this code may be used as a qualifier to the "Assigning authority" component.[Refer table No 0203]
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the patient.
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepartment` - Specifies agency or department that assigned the identifier.
        `strSecurityCheck` - is used to communicate the version code.
        `objSecurityCheckSCheme` - is used to transmit information intended to validate veracity of the supplied identifier

    - #### addGuarantorNumber

          public void addGuarantorNumber(CX GuarantorNumber)

      Set the Guarantor Number. This field contains the primary identifier, or other identifiers, assigned to the guarantor.
      Parameters:
        `GuarantorNumber` - Guarantor Number.

    - #### setGuarantorNumber

          public void setGuarantorNumber(ISingleCollection<CX> objGuarantorNumberList)

      Set the GuarantorNumber list.
      Parameters:
        `objGuarantorNumberList` - List of Diagnosing Clinician

    - #### addGuarantorPhNum_Business

          public void addGuarantorPhNum_Business(java.lang.String strTeleCommunicationUseCode,
                                        java.lang.String strTeleCommunicationEquipmentType,
                                        java.lang.String strCommuinicationAddress,
                                        java.lang.String strCountryCode,
                                        java.lang.String strAreaCityCode,
                                        java.lang.String strLocalNumber,
                                        java.lang.String strExtension,
                                        java.lang.String strAnyText,
                                        java.lang.String strExtensionPrefix,
                                        java.lang.String strSpeedDialCode,
                                        java.lang.String strUnformattedTelephoneNumber,
                                        java.lang.String strEffectiveStartDate,
                                        java.lang.String strExpirationDate,
                                        CWE objExpirationReason,
                                        CWE objProtectionCode,
                                        EI objSharedTelecommunicationIdentifier,
                                        java.lang.String strPreferenceOrder)

      Set the Guarantor PhNum Business. This field contains the guarantor's business phone number.
      Parameters:
        `strTeleCommunicationUseCode` - Specifies a code that represents a specific use of a telecommunication number. Suggested values are PRN,ORN,WPN,VHN,ASN,EMR,NET,BPN [Refer table 0201.]
        `strTeleCommunicationEquipmentType` - Specifies a code that represents the type of telecommunication equipment. Suggested values are PH,FX,MD,CP,BP,Internet,X.400,TDD,TTY [Refer table 0202.]
        `strCommuinicationAddress` - Specifies Email address.
        `strCountryCode` - Specifies the Country code.
        `strAreaCityCode` - Specifies the area /City Code.
        `strLocalNumber` - Specifies an Local Number.
        `strExtension` - Specifies an Extension.
        `strAnyText` - Contains comments with respect to the telephone number.
        `strExtensionPrefix` - Specifies the characters established within a company's internal telephone system network used as a prefix to the Extension component for internal dialing.
        `strSpeedDialCode` - Specifies The characters established within a company's internal telephone system used in place of the (external) telephone number.
        `strUnformattedTelephoneNumber` - Specifies an expression of the telephone number as an unparsible string.
        `strEffectiveStartDate` - Specifies start date.
        `strExpirationDate` - Specifies expiration date.
        `objExpirationReason` - Specifies reason why this contact is marked as ended.
        `objProtectionCode` - Specifies reason why this information is sensitive or protected.
        `objSharedTelecommunicationIdentifier` - Specifies a unique phone number phone telephone number or email-id.
        `strPreferenceOrder` - Specifies the preference order for an entity..

    - #### addGuarantorPhNum_Business

          public void addGuarantorPhNum_Business(XTN GuarantorPhNum_Business)

      Set the Guarantor PhNum Business. This field contains the guarantor's business phone number.
      Parameters:
        `GuarantorPhNum_Business` - Guarantor PhNum Business.

    - #### setGuarantorPhNum_Business

          public void setGuarantorPhNum_Business(ISingleCollection<XTN> objGuarantorPhNum_BusinessList)

      Set the GuarantorPhNum_Business list.
      Parameters:
        `objGuarantorPhNum_BusinessList` - List of Diagnosing Clinician

    - #### addGuarantorPhNum_Home

          public void addGuarantorPhNum_Home(java.lang.String strTeleCommunicationUseCode,
                                    java.lang.String strTeleCommunicationEquipmentType,
                                    java.lang.String strCommuinicationAddress,
                                    java.lang.String strCountryCode,
                                    java.lang.String strAreaCityCode,
                                    java.lang.String strLocalNumber,
                                    java.lang.String strExtension,
                                    java.lang.String strAnyText,
                                    java.lang.String strExtensionPrefix,
                                    java.lang.String strSpeedDialCode,
                                    java.lang.String strUnformattedTelephoneNumber,
                                    java.lang.String strEffectiveStartDate,
                                    java.lang.String strExpirationDate,
                                    CWE objExpirationReason,
                                    CWE objProtectionCode,
                                    EI objSharedTelecommunicationIdentifier,
                                    java.lang.String strPreferenceOrder)

      Set the Guarantor PhNum Home. This field contains the guarantor's home phone number. All personal phone numbers for the guarantor may be sent in this field.
      Parameters:
        `strTeleCommunicationUseCode` - Specifies a code that represents a specific use of a telecommunication number. Suggested values are PRN,ORN,WPN,VHN,ASN,EMR,NET,BPN [Refer table 0201.]
        `strTeleCommunicationEquipmentType` - Specifies a code that represents the type of telecommunication equipment. Suggested values are PH,FX,MD,CP,BP,Internet,X.400,TDD,TTY [Refer table 0202.]
        `strCommuinicationAddress` - Specifies Email address.
        `strCountryCode` - Specifies the Country code.
        `strAreaCityCode` - Specifies the area /City Code.
        `strLocalNumber` - Specifies an Local Number.
        `strExtension` - Specifies an Extension.
        `strAnyText` - Contains comments with respect to the telephone number.
        `strExtensionPrefix` - Specifies the characters established within a company's internal telephone system network used as a prefix to the Extension component for internal dialing.
        `strSpeedDialCode` - Specifies The characters established within a company's internal telephone system used in place of the (external) telephone number.
        `strUnformattedTelephoneNumber` - Specifies an expression of the telephone number as an unparsible string.
        `strEffectiveStartDate` - Specifies start date.
        `strExpirationDate` - Specifies expiration date.
        `objExpirationReason` - Specifies reason why this contact is marked as ended.
        `objProtectionCode` - Specifies reason why this information is sensitive or protected.
        `objSharedTelecommunicationIdentifier` - Specifies a unique phone number phone telephone number or email-id.
        `strPreferenceOrder` - Specifies the preference order for an entity..

    - #### addGuarantorPhNum_Home

          public void addGuarantorPhNum_Home(XTN GuarantorPhNum_Home)

      Set the Guarantor PhNum Home. This field contains the guarantor's home phone number. All personal phone numbers for the guarantor may be sent in this field.
      Parameters:
        `GuarantorPhNum_Home` - Guarantor PhNum Home

    - #### setGuarantorPhNum_Home

          public void setGuarantorPhNum_Home(ISingleCollection<XTN> objGuarantorPhNum_HomeList)

      Set the GuarantorPhNum_Home list.
      Parameters:
        `objGuarantorPhNum_HomeList` - List of Diagnosing Clinician

    - #### setGuarantorPriority

          public void setGuarantorPriority(java.lang.String strGuarantorPriority)

      Set the Guarantor Priority. This field is used to determine the order in which the guarantors are responsible for the patient's account.
      Parameters:
        `strGuarantorPriority` - Specifies This field is used to determine the order in which the guarantors are responsible for the patient's account.

    - #### setGuarantorPriority

          public void setGuarantorPriority(NM objguarantorPriority)

      Set the Guarantor Priority. This field is used to determine the order in which the guarantors are responsible for the patient's account.
      Parameters:
        `objguarantorPriority` - Specifies This field is used to determine the order in which the guarantors are responsible for the patient's account.

    - #### setGuarantorRelationship

          public void setGuarantorRelationship(java.lang.String strIdentifier,
                                      java.lang.String strText,
                                      java.lang.String strNameOfCodingSystem,
                                      java.lang.String strAlternateIdentifier,
                                      java.lang.String strAlternateText,
                                      java.lang.String strNameOfAlternateCodingSystem,
                                      java.lang.String strCodingSystemVersionID,
                                      java.lang.String strAlternateCodingSystemVersionId,
                                      java.lang.String strOriginalText,
                                      java.lang.String strSecondAlternateIdentifier,
                                      java.lang.String strSecondAlternateText,
                                      java.lang.String strNameofSecondAlternateCodingSystem,
                                      java.lang.String strSecondAlternateCodingSystemVersionID,
                                      java.lang.String strCodingSystemOID,
                                      java.lang.String strValueSetOID,
                                      java.lang.String strValueSetVersionID,
                                      java.lang.String strAlternateCodingSystemOID,
                                      java.lang.String strAlternateValueSetOID,
                                      java.lang.String strAlternateValueSetVersionID,
                                      java.lang.String strSecondAlternateCodingSystemOID,
                                      java.lang.String strSecondAlternateValueSetOID,
                                      java.lang.String strSecondAlternateValueSetVersionID)

      Set the Guarantor Relationship. This field indicates the relationship of the guarantor with the patient.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setGuarantorRelationship

          public void setGuarantorRelationship(CWE guarantorRelationship)

      Set the Guarantor Relationship. This field indicates the relationship of the guarantor with the patient.
      Parameters:
        `guarantorRelationship` - Guarantor Relationship

    - #### addGuarantorSpouseName

          public void addGuarantorSpouseName(FN objFamilyName,
                                    java.lang.String strGivenName,
                                    java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                    java.lang.String strSuffix,
                                    java.lang.String strPrefix,
                                    java.lang.String strNameTypeCode,
                                    java.lang.String strNameRepresentationCode,
                                    CWE objNameContext,
                                    java.lang.String strNameAssemblyOrder,
                                    DTM objEffectiveDate,
                                    DTM objExpirationDate,
                                    java.lang.String strProfessionalSuffix,
                                    java.lang.String strCalledBy)

      Set the Guarantor Spouse Name. This field contains the name of the guarantor's spouse.
      Parameters:
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strNameTypeCode` - Specifies a code that represents the type of name. Suggested values are A,B,C,D,I,L,M,N,P,R,S,T,U...[Refer table 0200.]
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `objEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `objExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `strCalledBy` - Used to specify the called name.

    - #### addGuarantorSpouseName

          public void addGuarantorSpouseName(XPN GuarantorSpouseName)

      Set the Guarantor Spouse Name. This field contains the name of the guarantor's spouse.
      Parameters:
        `GuarantorSpouseName` - Guarantor Spouse Name.

    - #### setGuarantorSpouseName

          public void setGuarantorSpouseName(ISingleCollection<XPN> objGuarantorSpouseNameList)

      Set the GuarantorSpouseName list.
      Parameters:
        `objGuarantorSpouseNameList` - List of Diagnosing Clinician

    - #### setGuarantorSSN

          public void setGuarantorSSN(java.lang.String strGuarantorSSN)

      Set the Guarantor SSN. This field contains the guarantor's social security number.
      Parameters:
        `strGuarantorSSN` - Contains the guarantor's social security number.

    - #### setGuarantorSSN

          public void setGuarantorSSN(ST objguarantorSSN)

      Set the Guarantor SSN. This field contains the guarantor's social security number.
      Parameters:
        `objguarantorSSN` - Contains the guarantor's social security number.

    - #### setGuarantorType

          public void setGuarantorType(java.lang.String strIdentifier,
                              java.lang.String strText,
                              java.lang.String strNameOfCodingSystem,
                              java.lang.String strAlternateIdentifier,
                              java.lang.String strAlternateText,
                              java.lang.String strNameOfAlternateCodingSystem,
                              java.lang.String strCodingSystemVersionID,
                              java.lang.String strAlternateCodingSystemVersionId,
                              java.lang.String strOriginalText,
                              java.lang.String strSecondAlternateIdentifier,
                              java.lang.String strSecondAlternateText,
                              java.lang.String strNameofSecondAlternateCodingSystem,
                              java.lang.String strSecondAlternateCodingSystemVersionID,
                              java.lang.String strCodingSystemOID,
                              java.lang.String strValueSetOID,
                              java.lang.String strValueSetVersionID,
                              java.lang.String strAlternateCodingSystemOID,
                              java.lang.String strAlternateValueSetOID,
                              java.lang.String strAlternateValueSetVersionID,
                              java.lang.String strSecondAlternateCodingSystemOID,
                              java.lang.String strSecondAlternateValueSetOID,
                              java.lang.String strSecondAlternateValueSetVersionID)

      Set the Guarantor Type. This field indicates the type of guarantor, e.g., individual, institution, etc
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setGuarantorType

          public void setGuarantorType(CWE objguarantorType)

      Set the Guarantor Type. This field indicates the type of guarantor, e.g., individual, institution, etc
      Parameters:
        `objguarantorType` - Indicates the type of guarantor, e.g., individual, institution, etc. [Refer to User-defined Table 0068 - Guarantor Type].No Suggested Values.

    - #### setSetID_GT1

          public void setSetID_GT1(java.lang.String strSetID_GT1)

      Set the Set ID GT1. This field contains a number that identify this transaction.
      Parameters:
        `strSetID_GT1` - This field contains the number that identifies transaction of GT1 segment.

    - #### setSetID_GT1

          public void setSetID_GT1(SI objsetID_GT1)

      Set the Set ID GT1. This field contains a number that identify this transaction.
      Parameters:
        `objsetID_GT1` -

    - #### addAmbulatoryStatus

          public void addAmbulatoryStatus(java.lang.String strIdentifier,
                                 java.lang.String strText,
                                 java.lang.String strNameOfCodingSystem,
                                 java.lang.String strAlternateIdentifier,
                                 java.lang.String strAlternateText,
                                 java.lang.String strNameOfAlternateCodingSystem,
                                 java.lang.String strCodingSystemVersionID,
                                 java.lang.String strAlternateCodingSystemVersionId,
                                 java.lang.String strOriginalText,
                                 java.lang.String strSecondAlternateIdentifier,
                                 java.lang.String strSecondAlternateText,
                                 java.lang.String strNameofSecondAlternateCodingSystem,
                                 java.lang.String strSecondAlternateCodingSystemVersionID,
                                 java.lang.String strCodingSystemOID,
                                 java.lang.String strValueSetOID,
                                 java.lang.String strValueSetVersionID,
                                 java.lang.String strAlternateCodingSystemOID,
                                 java.lang.String strAlternateValueSetOID,
                                 java.lang.String strAlternateValueSetVersionID,
                                 java.lang.String strSecondAlternateCodingSystemOID,
                                 java.lang.String strSecondAlternateValueSetOID,
                                 java.lang.String strSecondAlternateValueSetVersionID)

      Set the Ambulatory Status. This field identify the transient state of mobility for the guarantor.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addAmbulatoryStatus

          public void addAmbulatoryStatus(CWE objAmbulatoryStatus)

      Set the Ambulatory Status. This field identify the transient state of mobility for the guarantor.
      Parameters:
        `objAmbulatoryStatus` - This field identifies the transient rate of mobility for the next of kin/associated party. Suggested values are A1,,A2,A3,A4,A5,A6,A7,A8,A9,B1,B2,B3,B4,B5,B6 [Refer table 0009.]

    - #### setAmbulatoryStatus

          public void setAmbulatoryStatus(ISingleCollection<CWE> objAmbulatoryStatusList)

      Set the AmbulatoryStatus list.
      Parameters:
        `objAmbulatoryStatusList` - List of Diagnosing Clinician

    - #### addCitizenship

          public void addCitizenship(java.lang.String strIdentifier,
                            java.lang.String strText,
                            java.lang.String strNameOfCodingSystem,
                            java.lang.String strAlternateIdentifier,
                            java.lang.String strAlternateText,
                            java.lang.String strNameOfAlternateCodingSystem,
                            java.lang.String strCodingSystemVersionID,
                            java.lang.String strAlternateCodingSystemVersionId,
                            java.lang.String strOriginalText,
                            java.lang.String strSecondAlternateIdentifier,
                            java.lang.String strSecondAlternateText,
                            java.lang.String strNameofSecondAlternateCodingSystem,
                            java.lang.String strSecondAlternateCodingSystemVersionID,
                            java.lang.String strCodingSystemOID,
                            java.lang.String strValueSetOID,
                            java.lang.String strValueSetVersionID,
                            java.lang.String strAlternateCodingSystemOID,
                            java.lang.String strAlternateValueSetOID,
                            java.lang.String strAlternateValueSetVersionID,
                            java.lang.String strSecondAlternateCodingSystemOID,
                            java.lang.String strSecondAlternateValueSetOID,
                            java.lang.String strSecondAlternateValueSetVersionID)

      Set the Citizenship. This field contains the code to identify the guarantor's citizenship.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addCitizenship

          public void addCitizenship(CWE Citizenship)

      Set the Citizenship. This field contains the code to identify the guarantor's citizenship.
      Parameters:
        `Citizenship` - Citizenship

    - #### setCitizenship

          public void setCitizenship(ISingleCollection<CWE> objCitizenshipList)

      Set the Citizenship list.
      Parameters:
        `objCitizenshipList` - List of Diagnosing Clinician

    - #### addContactPersonsName

          public void addContactPersonsName(FN objFamilyName,
                                   java.lang.String strGivenName,
                                   java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                   java.lang.String strSuffix,
                                   java.lang.String strPrefix,
                                   java.lang.String strNameTypeCode,
                                   java.lang.String strNameRepresentationCode,
                                   CWE objNameContext,
                                   java.lang.String strNameAssemblyOrder,
                                   DTM objEffectiveDate,
                                   DTM objExpirationDate,
                                   java.lang.String strProfessionalSuffix,
                                   java.lang.String strCalledBy)

      Set the Contact Persons Name. This field contains the name of the person who should be contacted regarding the guarantor bills, etc.
      Parameters:
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strNameTypeCode` - Specifies a code that represents the type of name. Suggested values are A,B,C,D,I,L,M,N,P,R,S,T,U...[Refer table 0200.]
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `objEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `objExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `strCalledBy` - Used to specify the called name.

    - #### addContactPersonsName

          public void addContactPersonsName(XPN ContactPersonsName)

      Set the Contact Persons Name. This field contains the name of the person who should be contacted regarding the guarantor bills, etc.
      Parameters:
        `ContactPersonsName` - Contact Persons Name.

    - #### setContactPersonsName

          public void setContactPersonsName(ISingleCollection<XPN> objContactPersonsNameList)

      Set the ContactPersonsName list.
      Parameters:
        `objContactPersonsNameList` - List of Diagnosing Clinician

    - #### addContactPersnTelphNo

          public void addContactPersnTelphNo(java.lang.String strTeleCommunicationUseCode,
                                    java.lang.String strTeleCommunicationEquipmentType,
                                    java.lang.String strCommuinicationAddress,
                                    java.lang.String strCountryCode,
                                    java.lang.String strAreaCityCode,
                                    java.lang.String strLocalNumber,
                                    java.lang.String strExtension,
                                    java.lang.String strAnyText,
                                    java.lang.String strExtensionPrefix,
                                    java.lang.String strSpeedDialCode,
                                    java.lang.String strUnformattedTelephoneNumber,
                                    java.lang.String strEffectiveStartDate,
                                    java.lang.String strExpirationDate,
                                    CWE objExpirationReason,
                                    CWE objProtectionCode,
                                    EI objSharedTelecommunicationIdentifier,
                                    java.lang.String strPreferenceOrder)

      Set the Contact Persn TelphNo. This field contains the telephone number of the guarantor (person) to contact regarding guarantor bills, etc.
      Parameters:
        `strTeleCommunicationUseCode` - Specifies a code that represents a specific use of a telecommunication number. Suggested values are PRN,ORN,WPN,VHN,ASN,EMR,NET,BPN [Refer table 0201.]
        `strTeleCommunicationEquipmentType` - Specifies a code that represents the type of telecommunication equipment. Suggested values are PH,FX,MD,CP,BP,Internet,X.400,TDD,TTY [Refer table 0202.]
        `strCommuinicationAddress` - Specifies Email address.
        `strCountryCode` - Specifies the Country code.
        `strAreaCityCode` - Specifies the area /City Code.
        `strLocalNumber` - Specifies an Local Number.
        `strExtension` - Specifies an Extension.
        `strAnyText` - Contains comments with respect to the telephone number.
        `strExtensionPrefix` - Specifies the characters established within a company's internal telephone system network used as a prefix to the Extension component for internal dialing.
        `strSpeedDialCode` - Specifies The characters established within a company's internal telephone system used in place of the (external) telephone number.
        `strUnformattedTelephoneNumber` - Specifies an expression of the telephone number as an unparsible string.
        `strEffectiveStartDate` - Specifies start date.
        `strExpirationDate` - Specifies expiration date.
        `objExpirationReason` - Specifies reason why this contact is marked as ended.
        `objProtectionCode` - Specifies reason why this information is sensitive or protected.
        `objSharedTelecommunicationIdentifier` - Specifies a unique phone number phone telephone number or email-id.
        `strPreferenceOrder` - Specifies the preference order for an entity..

    - #### addContactPersnTelphNo

          public void addContactPersnTelphNo(XTN contactPersnTelphNo)

      Set the Contact Persn TelphNo. This field contains the telephone number of the guarantor (person) to contact regarding guarantor bills, etc.
      Parameters:
        `contactPersnTelphNo` - Contact Persn TelphNo.

    - #### setContactPersnTelphNo

          public void setContactPersnTelphNo(ISingleCollection<XTN> objContactPersnTelphNoList)

      Set the ContactPersnTelphNo list.
      Parameters:
        `objContactPersnTelphNoList` - List of Diagnosing Clinician

    - #### setContactReason

          public void setContactReason(java.lang.String strIdentifier,
                              java.lang.String strText,
                              java.lang.String strNameOfCodingSystem,
                              java.lang.String strAlternateIdentifier,
                              java.lang.String strAlternateText,
                              java.lang.String strNameOfAlternateCodingSystem,
                              java.lang.String strCodingSystemVersionID,
                              java.lang.String strAlternateCodingSystemVersionId,
                              java.lang.String strOriginalText,
                              java.lang.String strSecondAlternateIdentifier,
                              java.lang.String strSecondAlternateText,
                              java.lang.String strNameofSecondAlternateCodingSystem,
                              java.lang.String strSecondAlternateCodingSystemVersionID,
                              java.lang.String strCodingSystemOID,
                              java.lang.String strValueSetOID,
                              java.lang.String strValueSetVersionID,
                              java.lang.String strAlternateCodingSystemOID,
                              java.lang.String strAlternateValueSetOID,
                              java.lang.String strAlternateValueSetVersionID,
                              java.lang.String strSecondAlternateCodingSystemOID,
                              java.lang.String strSecondAlternateValueSetOID,
                              java.lang.String strSecondAlternateValueSetVersionID)

      Set the Contact Reason. This field contains a user-defined code that identifies the reason for contacting the guarantor.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setContactReason

          public void setContactReason(CWE contactReason)

      Set the Contact Reason. This field contains a user-defined code that identifies the reason for contacting the guarantor.
      Parameters:
        `contactReason` - Contact Reason.

    - #### setContactRelationship

          public void setContactRelationship(java.lang.String strIdentifier,
                                    java.lang.String strText,
                                    java.lang.String strNameOfCodingSystem,
                                    java.lang.String strAlternateIdentifier,
                                    java.lang.String strAlternateText,
                                    java.lang.String strNameOfAlternateCodingSystem,
                                    java.lang.String strCodingSystemVersionID,
                                    java.lang.String strAlternateCodingSystemVersionId,
                                    java.lang.String strOriginalText,
                                    java.lang.String strSecondAlternateIdentifier,
                                    java.lang.String strSecondAlternateText,
                                    java.lang.String strNameofSecondAlternateCodingSystem,
                                    java.lang.String strSecondAlternateCodingSystemVersionID,
                                    java.lang.String strCodingSystemOID,
                                    java.lang.String strValueSetOID,
                                    java.lang.String strValueSetVersionID,
                                    java.lang.String strAlternateCodingSystemOID,
                                    java.lang.String strAlternateValueSetOID,
                                    java.lang.String strAlternateValueSetVersionID,
                                    java.lang.String strSecondAlternateCodingSystemOID,
                                    java.lang.String strSecondAlternateValueSetOID,
                                    java.lang.String strSecondAlternateValueSetVersionID)

      Set the Contact Relationship. This field identifies the guarantor relationship to the contact person.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setContactRelationship

          public void setContactRelationship(CWE objcontactRelationship)

      Set the Contact Relationship. This field identifies the guarantor relationship to the contact person.
      Parameters:
        `objcontactRelationship` - Identifies the guarantor relationship to the contact person specified. [Refer to User-defined Table 0063 - Relationship ]

    - #### setEmploymentStopDate

          public void setEmploymentStopDate(java.lang.String strEmploymentStopDate)

      Set the Employment Stop Date. This field indicates the date on which the guarantor's employment with a particular employer ended.
      Parameters:
        `strEmploymentStopDate` - Indicates the date on which the guarantor's employment with a particular employer ended.

    - #### setEmploymentStopDate

          public void setEmploymentStopDate(DT objemploymentStopDate)

      Set the Employment Stop Date. This field indicates the date on which the guarantor's employment with a particular employer ended.
      Parameters:
        `objemploymentStopDate` - Indicates the date on which the guarantor's employment with a particular employer ended.

    - #### addEthnicGroup

          public void addEthnicGroup(java.lang.String strIdentifier,
                            java.lang.String strText,
                            java.lang.String strNameOfCodingSystem,
                            java.lang.String strAlternateIdentifier,
                            java.lang.String strAlternateText,
                            java.lang.String strNameOfAlternateCodingSystem,
                            java.lang.String strCodingSystemVersionID,
                            java.lang.String strAlternateCodingSystemVersionId,
                            java.lang.String strOriginalText,
                            java.lang.String strSecondAlternateIdentifier,
                            java.lang.String strSecondAlternateText,
                            java.lang.String strNameofSecondAlternateCodingSystem,
                            java.lang.String strSecondAlternateCodingSystemVersionID,
                            java.lang.String strCodingSystemOID,
                            java.lang.String strValueSetOID,
                            java.lang.String strValueSetVersionID,
                            java.lang.String strAlternateCodingSystemOID,
                            java.lang.String strAlternateValueSetOID,
                            java.lang.String strAlternateValueSetVersionID,
                            java.lang.String strSecondAlternateCodingSystemOID,
                            java.lang.String strSecondAlternateValueSetOID,
                            java.lang.String strSecondAlternateValueSetVersionID)

      Set the Ethnic Group. This field contains the guarantor's ethnic group.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addEthnicGroup

          public void addEthnicGroup(CWE EthnicGroup)

      Set the Ethnic Group. This field contains the guarantor's ethnic group.
      Parameters:
        `EthnicGroup` - Ethnic Group.

    - #### setEthnicGroup

          public void setEthnicGroup(ISingleCollection<CWE> objEthnicGroupList)

      Set the EthnicGroup list.
      Parameters:
        `objEthnicGroupList` - List of Diagnosing Clinician

    - #### setGuarantorBillingHoldFlag

          public void setGuarantorBillingHoldFlag(java.lang.String strGuarantorBillingHoldFlag)

      Set the Guarantor Billing Hold Flag. This field indicates whether a system should suppress printing of the guarantor's bills or not.
      Parameters:
        `strGuarantorBillingHoldFlag` - Indicates whether or not a system should suppress printing of the guarantor's bills. [to HL7 table 0136 - Yes/no Indicator].valid values Y,N.

    - #### setGuarantorBillingHoldFlag

          public void setGuarantorBillingHoldFlag(ID objguarantorBillingHoldFlag)

      Set the Guarantor Billing Hold Flag. This field indicates whether a system should suppress printing of the guarantor's bills or not.
      Parameters:
        `objguarantorBillingHoldFlag` - Indicates whether or not a system should suppress printing of the guarantor's bills. [to HL7 table 0136 - Yes/no Indicator].valid values Y,N.

    - #### setGuarantorBirthPlace

          public void setGuarantorBirthPlace(java.lang.String strGuarantorBirthPlace)

      Setthe Guarantor Birth Place. This field contains the description of the guarantor's birth place.
      Parameters:
        `strGuarantorBirthPlace` - This field contains the description of the guarantor's birth place.

    - #### setGuarantorBirthPlace

          public void setGuarantorBirthPlace(ST objguarantorBirthPlace)

      Set the Guarantor Birth Place. This field contains the description of the guarantor's birth place.
      Parameters:
        `objguarantorBirthPlace` - This field contains the description of the guarantor's birth place.

    - #### setGuarantorChargeAdjustmtCode

          public void setGuarantorChargeAdjustmtCode(java.lang.String strIdentifier,
                                            java.lang.String strText,
                                            java.lang.String strNameOfCodingSystem,
                                            java.lang.String strAlternateIdentifier,
                                            java.lang.String strAlternateText,
                                            java.lang.String strNameOfAlternateCodingSystem,
                                            java.lang.String strCodingSystemVersionID,
                                            java.lang.String strAlternateCodingSystemVersionId,
                                            java.lang.String strOriginalText,
                                            java.lang.String strSecondAlternateIdentifier,
                                            java.lang.String strSecondAlternateText,
                                            java.lang.String strNameofSecondAlternateCodingSystem,
                                            java.lang.String strSecondAlternateCodingSystemVersionID,
                                            java.lang.String strCodingSystemOID,
                                            java.lang.String strValueSetOID,
                                            java.lang.String strValueSetVersionID,
                                            java.lang.String strAlternateCodingSystemOID,
                                            java.lang.String strAlternateValueSetOID,
                                            java.lang.String strAlternateValueSetVersionID,
                                            java.lang.String strSecondAlternateCodingSystemOID,
                                            java.lang.String strSecondAlternateValueSetOID,
                                            java.lang.String strSecondAlternateValueSetVersionID)

      Set the Guarantor Charge Adjustmt Code. This field contains user-defined codes that indicate which adjustments should be made to this guarantor's charges.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setGuarantorChargeAdjustmtCode

          public void setGuarantorChargeAdjustmtCode(CWE guarantorChargeAdjustmtCode)

      Set the Guarantor Charge Adjustmt Code. This field contains user-defined codes that indicate which adjustments should be made to this guarantor's charges.
      Parameters:
        `guarantorChargeAdjustmtCode` - Guarantor Charge Adjustmt Code.

    - #### setGuarantorCreditRatingCode

          public void setGuarantorCreditRatingCode(java.lang.String strIdentifier,
                                          java.lang.String strText,
                                          java.lang.String strNameOfCodingSystem,
                                          java.lang.String strAlternateIdentifier,
                                          java.lang.String strAlternateText,
                                          java.lang.String strNameOfAlternateCodingSystem,
                                          java.lang.String strCodingSystemVersionID,
                                          java.lang.String strAlternateCodingSystemVersionId,
                                          java.lang.String strOriginalText,
                                          java.lang.String strSecondAlternateIdentifier,
                                          java.lang.String strSecondAlternateText,
                                          java.lang.String strNameofSecondAlternateCodingSystem,
                                          java.lang.String strSecondAlternateCodingSystemVersionID,
                                          java.lang.String strCodingSystemOID,
                                          java.lang.String strValueSetOID,
                                          java.lang.String strValueSetVersionID,
                                          java.lang.String strAlternateCodingSystemOID,
                                          java.lang.String strAlternateValueSetOID,
                                          java.lang.String strAlternateValueSetVersionID,
                                          java.lang.String strSecondAlternateCodingSystemOID,
                                          java.lang.String strSecondAlternateValueSetOID,
                                          java.lang.String strSecondAlternateValueSetVersionID)

      Set the Guarantor Credit Rating Code.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setGuarantorCreditRatingCode

          public void setGuarantorCreditRatingCode(CWE guarantorCreditRatingCode)

      Set the Guarantor Credit Rating Code.
      Parameters:
        `guarantorCreditRatingCode` - Guarantor Credit Rating Code.

    - #### setGuarantorDeathDateAndTime

          public void setGuarantorDeathDateAndTime(java.lang.String strTime)

      Set the Guarantor Death Date And Time. This field is used to indicate the date and time at which the guarantor's death occurred.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setGuarantorDeathDateAndTime

          public void setGuarantorDeathDateAndTime(DTM guarantorDeathDateAndTime)

      Set the Guarantor Death Date And Time. This field is used to indicate the date and time at which the guarantor's death occurred.
      Parameters:
        `guarantorDeathDateAndTime` - Guarantor Death Date And Time.

    - #### setGuarantorDeathFlag

          public void setGuarantorDeathFlag(java.lang.String strGuarantorDeathFlag)

      Set Guarantor Death Flag. This field indicates whether the guarantor is deceased or not.
      Parameters:
        `strGuarantorDeathFlag` - Indicates whether or not the guarantor is deceased. [Refer to HL7 table 0136] Valid values Y,N.

    - #### setGuarantorDeathFlag

          public void setGuarantorDeathFlag(ID objguarantorDeathFlag)

      Set Guarantor Death Flag. This field indicates whether the guarantor is deceased or not.
      Parameters:
        `objguarantorDeathFlag` - Indicates whether or not the guarantor is deceased. [Refer to HL7 table 0136] Valid values Y,N.

    - #### addGuarantorEmployeeIDNo

          public void addGuarantorEmployeeIDNo(java.lang.String strIDNumber,
                                      java.lang.String strCheckDigit,
                                      java.lang.String strCheckDigitScheme,
                                      HD objAssigningAuthority,
                                      java.lang.String strIdentifierTypeCode,
                                      HD objAssigningFacility,
                                      java.lang.String strEffectiveDate,
                                      java.lang.String strExpirationDate,
                                      CWE objAssigningJurisdiction,
                                      CWE objAssigningAgencyOrDepartment,
                                      java.lang.String strSecurityCheck,
                                      java.lang.String strSecurityCheckScheme)

      Set the Guarantor Employee ID No. This field contains the guarantor's employee number.
      Parameters:
        `strIDNumber` - Specifies the value of the identifier itself.
        `strCheckDigit` - It is part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Contains the code identifying the check digit scheme employed. Suggested Values NP,ISO,M10,M11.[Refer table No.0061].
        `objAssigningAuthority` - The assigning authority is a unique name of the system (or organization or agency or department) that creates the data. .
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.In some cases, this code may be used as a qualifier to the "Assigning authority" component.[Refer table No 0203]
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the patient.
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepartment` - Specifies agency or department that assigned the identifier.
        `strSecurityCheck` - is used to communicate the version code.
        `objSecurityCheckSCheme` - is used to transmit information intended to validate veracity of the supplied identifier

    - #### addGuarantorEmployeeIDNo

          public void addGuarantorEmployeeIDNo(CX guarantorEmployeeIDNo)

      Set the Guarantor Employee ID No. This field contains the guarantor's employee number.
      Parameters:
        `guarantorEmployeeIDNo` - Guarantor Employee ID No.

    - #### setGuarantorEmployeeIDNo

          public void setGuarantorEmployeeIDNo(ISingleCollection<CX> objGuarantorEmployeeIDNoList)

      Set the GuarantorEmployeeIDNo list.
      Parameters:
        `objGuarantorEmployeeIDNoList` - List of Diagnosing Clinician

    - #### addGuarantorEmpAdd

          public void addGuarantorEmpAdd(SAD objStreetAddress,
                                java.lang.String strOtherDesignation,
                                java.lang.String strCity,
                                java.lang.String strStateOrProvince,
                                java.lang.String strZipOrPostalCode,
                                java.lang.String strCountry,
                                java.lang.String strAddressType,
                                java.lang.String strOtherGeographicDesignation,
                                CWE objCountyParishCode,
                                CWE objCensusTract,
                                java.lang.String strAddressRepresentationCode,
                                DTM objEffectiveDate,
                                DTM objExpirationDate,
                                CWE objEXpirationReason,
                                java.lang.String strTemporaryIndicator,
                                java.lang.String strBadAddressIndicator,
                                java.lang.String strAddressUsage,
                                java.lang.String strAddressee,
                                java.lang.String strComment,
                                java.lang.String strPreferenceOrder,
                                CWE objProtectionCode,
                                EI objAddressIdentifier)

      Set the Guarantor Emp Add. This field contains the guarantor's employer's address.
      Parameters:
        `objStreetAddress` - Specifies the street address.
        `strOtherDesignation` - Specifies the Second line of address.
        `strCity` - The city, or district or place where the addressee is located.
        `strStateOrProvince` - Specifies the state or province where the addressee is located.
        `strZipOrPostalCode` - Specifies the zip or postal code where the addressee is located.
        `strCountry` - Specifies the country where the addressee is located.
        `strAddressType` - Specifies the kind or type of address.
        `strOtherGeographicDesignation` - Specifies any other geographic designation.
        `objCountyParishCode` - Specifies a code that represents the county in which the specified address resides.
        `objCensusTract` - Specifies a code that represents the census tract in which the specified address resides.
        `strAddressRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objEffectiveDate` - It is The first date, if known, on which the address is valid and active.
        `objExpirationDate` - It is The last date, if known, on which the address is valid and active.
        `objExpirationReason` - indicates why this address was marked as ended.
        `strTemporaryIndicator` - indicates whether address is considered temporary .
        `strBadAddressIndicator` - indicates whether it is possible to contact the owning entity.
        `strAddressUsage` - indicates how the address is intended to be used.
        `strAddressee` - indicates the name of the person whose address is intended to be used.
        `strComment` - indicated descriptive information
        `strPreferenceOrder` - preference order
        `objProtectionCode` - indicates that an address need to be protected
        `objAdressIdentifier` - indicates a unique identifier for address

    - #### addGuarantorEmpAdd

          public void addGuarantorEmpAdd(XAD guarantorEmpAdd)

      Set the Guarantor Emp Add. This field contains the guarantor's employer's address.
      Parameters:
        `guarantorEmpAdd` - Guarantor Emp Add.

    - #### setGuarantorEmpAdd

          public void setGuarantorEmpAdd(ISingleCollection<XAD> objGuarantorEmpAddList)

      Set the GuarantorEmpAdd list.
      Parameters:
        `objGuarantorEmpAddList` - List of Diagnosing Clinician

    - #### addGuarantorEmpIDNo

          public void addGuarantorEmpIDNo(java.lang.String strIDNumber,
                                 java.lang.String strCheckDigit,
                                 java.lang.String strCheckDigitScheme,
                                 HD objAssigningAuthority,
                                 java.lang.String strIdentifierTypeCode,
                                 HD objAssigningFacility,
                                 java.lang.String strEffectiveDate,
                                 java.lang.String strExpirationDate,
                                 CWE objAssigningJurisdiction,
                                 CWE objAssigningAgencyOrDepartment,
                                 java.lang.String strSecurityCheck,
                                 java.lang.String strSecurityCheckScheme)

      Set the Guarantor Emp ID No. This field specify the code that uniquely identifies the guarantor's employer when the employer is a person.
      Parameters:
        `strIDNumber` - Specifies the value of the identifier itself.
        `strCheckDigit` - It is part of the identifying number used in the sending application.
        `strCheckDigitScheme` - Contains the code identifying the check digit scheme employed. Suggested Values NP,ISO,M10,M11.[Refer table No.0061].
        `objAssigningAuthority` - The assigning authority is a unique name of the system (or organization or agency or department) that creates the data. .
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.In some cases, this code may be used as a qualifier to the "Assigning authority" component.[Refer table No 0203]
        `objAssigningFacility` - Specifies the place or location identifier where the identifier was first assigned to the patient.
        `strEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `strExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `objAssigningJurisdiction` - Specifies the geo-political body that assigned the identifier.
        `objAssigningAgencyOrDepartment` - Specifies agency or department that assigned the identifier.
        `strSecurityCheck` - is used to communicate the version code.
        `objSecurityCheckSCheme` - is used to transmit information intended to validate veracity of the supplied identifier

    - #### addGuarantorEmpIDNo

          public void addGuarantorEmpIDNo(CX guarantorEmpIDNo)

      Set the Guarantor Emp ID No. This field specify the code that uniquely identifies the guarantor's employer when the employer is a person.
      Parameters:
        `guarantorEmpIDNo` - Guarantor Emp ID No.

    - #### setGuarantorEmpIDNo

          public void setGuarantorEmpIDNo(ISingleCollection<CX> objGuarantorEmpIDNoList)

      Set the GuarantorEmpIDNo list.
      Parameters:
        `objGuarantorEmpIDNoList` - List of Diagnosing Clinician

    - #### addGuarantorEmpName

          public void addGuarantorEmpName(FN objFamilyName,
                                 java.lang.String strGivenName,
                                 java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                 java.lang.String strSuffix,
                                 java.lang.String strPrefix,
                                 java.lang.String strNameTypeCode,
                                 java.lang.String strNameRepresentationCode,
                                 CWE objNameContext,
                                 java.lang.String strNameAssemblyOrder,
                                 DTM objEffectiveDate,
                                 DTM objExpirationDate,
                                 java.lang.String strProfessionalSuffix,
                                 java.lang.String strCalledBy)

      Set the Guarantor Emp Name. This field contains the name of the guarantor's employer, if the employer is a person.
      Parameters:
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strNameTypeCode` - Specifies a code that represents the type of name. Suggested values are A,B,C,D,I,L,M,N,P,R,S,T,U...[Refer table 0200.]
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `objEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `objExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `strCalledBy` - Used to specify the called name.

    - #### addGuarantorEmpName

          public void addGuarantorEmpName(XPN guarantorEmpName)

      Set the Guarantor Emp Name. This field contains the name of the guarantor's employer, if the employer is a person.
      Parameters:
        `guarantorEmpName` - Guarantor Emp Name.

    - #### setGuarantorEmpName

          public void setGuarantorEmpName(ISingleCollection<XPN> objGuarantorEmpNameList)

      Set the GuarantorEmpName list.
      Parameters:
        `objGuarantorEmpNameList` - List of Diagnosing Clinician

    - #### addGuarantorEmpPhNo

          public void addGuarantorEmpPhNo(java.lang.String strTeleCommunicationUseCode,
                                 java.lang.String strTeleCommunicationEquipmentType,
                                 java.lang.String strCommuinicationAddress,
                                 java.lang.String strCountryCode,
                                 java.lang.String strAreaCityCode,
                                 java.lang.String strLocalNumber,
                                 java.lang.String strExtension,
                                 java.lang.String strAnyText,
                                 java.lang.String strExtensionPrefix,
                                 java.lang.String strSpeedDialCode,
                                 java.lang.String strUnformattedTelephoneNumber,
                                 java.lang.String strEffectiveStartDate,
                                 java.lang.String strExpirationDate,
                                 CWE objExpirationReason,
                                 CWE objProtectionCode,
                                 EI objSharedTelecommunicationIdentifier,
                                 java.lang.String strPreferenceOrder)

      Set the Guarantor Emp PhNo. This field contains the guarantor's employer's phone number. Multiple phone numbers for the same employer may be sent in this field.
      Parameters:
        `strTeleCommunicationUseCode` - Specifies a code that represents a specific use of a telecommunication number. Suggested values are PRN,ORN,WPN,VHN,ASN,EMR,NET,BPN [Refer table 0201.]
        `strTeleCommunicationEquipmentType` - Specifies a code that represents the type of telecommunication equipment. Suggested values are PH,FX,MD,CP,BP,Internet,X.400,TDD,TTY [Refer table 0202.]
        `strCommuinicationAddress` - Specifies Email address.
        `strCountryCode` - Specifies the Country code.
        `strAreaCityCode` - Specifies the area /City Code.
        `strLocalNumber` - Specifies an Local Number.
        `strExtension` - Specifies an Extension.
        `strAnyText` - Contains comments with respect to the telephone number.
        `strExtensionPrefix` - Specifies the characters established within a company's internal telephone system network used as a prefix to the Extension component for internal dialing.
        `strSpeedDialCode` - Specifies The characters established within a company's internal telephone system used in place of the (external) telephone number.
        `strUnformattedTelephoneNumber` - Specifies an expression of the telephone number as an unparsible string.
        `strEffectiveStartDate` - Specifies start date.
        `strExpirationDate` - Specifies expiration date.
        `objExpirationReason` - Specifies reason why this contact is marked as ended.
        `objProtectionCode` - Specifies reason why this information is sensitive or protected.
        `objSharedTelecommunicationIdentifier` - Specifies a unique phone number phone telephone number or email-id.
        `strPreferenceOrder` - Specifies the preference order for an entity..

    - #### addGuarantorEmpPhNo

          public void addGuarantorEmpPhNo(XTN guarantorEmpPhNo)

      Set the Guarantor Emp PhNo. This field contains the guarantor's employer's phone number. Multiple phone numbers for the same employer may be sent in this field.
      Parameters:
        `guarantorEmpPhNo` - Guarantor Emp PhNo.

    - #### setGuarantorEmpPhNo

          public void setGuarantorEmpPhNo(ISingleCollection<XTN> objGuarantorEmpPhNoList)

      Set the GuarantorEmpPhNo list.
      Parameters:
        `objGuarantorEmpPhNoList` - List of Diagnosing Clinician

    - #### addGuarantorEmpsOrgNm

          public void addGuarantorEmpsOrgNm(java.lang.String strOrganizationName,
                                   CWE objOrganizationNameTypeCode,
                                   HD objAssigningAuthority,
                                   java.lang.String strIdentifierTypeCode,
                                   HD objAssigningFacility,
                                   java.lang.String strNameRepresentationCode,
                                   java.lang.String strOrganizationIdentifier)

      Set the Guarantor Emps OrgNm. This field contains the name of the guarantor's employer when the guarantor's employer is an organization.
      Parameters:
        `strOrganizationName` - Specifies name of the specified organization.
        `strOrganizationNameTypeCode` - Specifies a code that represents the type of name i.e., legal name, display name. Suggested Values A,L,D,SL.[Refer to table No.0204]
        `objAssigningAuthority` - Specifies The assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.
        `objAssigningFacility` - Specifies The place or location identifier where the identifier was first assigned to the person.
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `strOrganizationIdentifier` - This component contains the sequence of characters (the code) that uniquely identifies the item being referenced by XON.1 Organization Name. This component replaces XON.3 ID Number as of v 2.5.

    - #### addGuarantorEmpsOrgNm

          public void addGuarantorEmpsOrgNm(XON guarantorEmpsOrgNm)

      Set the Guarantor Emps OrgNm. This field contains the name of the guarantor's employer when the guarantor's employer is an organization.
      Parameters:
        `guarantorEmpsOrgNm` - Guarantor Emps OrgNm.

    - #### setGuarantorEmpsOrgNm

          public void setGuarantorEmpsOrgNm(ISingleCollection<XON> objGuarantorEmpsOrgNmList)

      Set the GuarantorEmpsOrgNm list.
      Parameters:
        `objGuarantorEmpsOrgNmList` - List of Diagnosing Clinician

    - #### setGuarantorEmpmtStatus

          public void setGuarantorEmpmtStatus(java.lang.String strIdentifier,
                                     java.lang.String strText,
                                     java.lang.String strNameOfCodingSystem,
                                     java.lang.String strAlternateIdentifier,
                                     java.lang.String strAlternateText,
                                     java.lang.String strNameOfAlternateCodingSystem,
                                     java.lang.String strCodingSystemVersionID,
                                     java.lang.String strAlternateCodingSystemVersionId,
                                     java.lang.String strOriginalText,
                                     java.lang.String strSecondAlternateIdentifier,
                                     java.lang.String strSecondAlternateText,
                                     java.lang.String strNameofSecondAlternateCodingSystem,
                                     java.lang.String strSecondAlternateCodingSystemVersionID,
                                     java.lang.String strCodingSystemOID,
                                     java.lang.String strValueSetOID,
                                     java.lang.String strValueSetVersionID,
                                     java.lang.String strAlternateCodingSystemOID,
                                     java.lang.String strAlternateValueSetOID,
                                     java.lang.String strAlternateValueSetVersionID,
                                     java.lang.String strSecondAlternateCodingSystemOID,
                                     java.lang.String strSecondAlternateValueSetOID,
                                     java.lang.String strSecondAlternateValueSetVersionID)

      Set the Guarantor Empmt Status. This field contains the code that indicates the guarantor's employment status.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setGuarantorEmpmtStatus

          public void setGuarantorEmpmtStatus(CWE objguarantorEmpmtStatus)

      Set the Guarantor Empmt Status. This field contains the code that indicates the guarantor's employment status.
      Parameters:
        `objguarantorEmpmtStatus` - Contains the code that indicates the guarantor's employment status. [Refer to User-Defined Table 0066]. suggested values 1,2,4,C,L ...

    - #### setGuarantorFinancialClass

          public void setGuarantorFinancialClass(CWE cweFinancialClassCode,
                                        DTM objEffectiveDate)

      Set the Guarantor Financial Class. This field contains the financial class (FC) assigned to the guarantor for the purpose of identifying sources of reimbursement.
      Parameters:
        `cweFinancialClassCode` - Contains the financial class assigned to a person. [User-defined Table 0064 - Financial class].No suggested values.
        `objEffectiveDate` - Used as EffectiveDate.

    - #### setGuarantorFinancialClass

          public void setGuarantorFinancialClass(FC guarantorFinancialClass)

      Set the Guarantor Financial Class. This field contains the financial class (FC) assigned to the guarantor for the purpose of identifying sources of reimbursement.
      Parameters:
        `guarantorFinancialClass` - Guarantor Financial Class.

    - #### setGuarantorHireEffectiveDate

          public void setGuarantorHireEffectiveDate(java.lang.String strGuarantorHireEffectiveDate)

      Set the Guarantor Hire Effective Date. This field contains the date that the guarantor's employment begin.
      Parameters:
        `strGuarantorHireEffectiveDate` - Contains the date that the guarantor's employment began.

    - #### setGuarantorHireEffectiveDate

          public void setGuarantorHireEffectiveDate(DT objguarantorHireEffectiveDate)

      Set the Guarantor Hire Effective Date. This field contains the date that the guarantor's employment begin.
      Parameters:
        `objguarantorHireEffectiveDate` - Contains the date that the guarantor's employment began.

    - #### setGuarantorHousehldAnualInc

          public void setGuarantorHousehldAnualInc(MO objPrice,
                                          java.lang.String strPriceType,
                                          java.lang.String strFromValue,
                                          java.lang.String strToValue,
                                          CWE objRangeUnits,
                                          java.lang.String strRangeType)

      Set the Guarantor Househld Anual Inc. This field contains the combined annual income of all members of the guarantor's household.
      Parameters:
        `objPrice` - Specifies an amount of money and the denomination in which it is expressed.
        `strPriceType` - Specifies a coded value, data type ID.[Refer to HL7 Table 0205] Suggested Values AP,DC,IC,PF,TF,TP,UP.
        `strFromValue` - Spefies the "range" alongwith strToValue.
        `strToValue` - Spefies the "range" alongwith strFromValue.
        `objRangeUnits` - Specifies This describes the units associated with the range, e.g., seconds, minutes
        `strRangeType` - Refer to HL7 Table 0298 - CP range type for valid values.(P,F)

    - #### setGuarantorHousehldAnualInc

          public void setGuarantorHousehldAnualInc(CP guarantorHousehldAnualInc)

      Set the Guarantor Househld Anual Inc. This field contains the combined annual income of all members of the guarantor's household.
      Parameters:
        `guarantorHousehldAnualInc` - Guarantor Househld Anual Inc.

    - #### setGuarantorHousehldSize

          public void setGuarantorHousehldSize(java.lang.String strguarantorHousehldSize)

      Set the Guarantor Househld Size. This field specify the number of people living at the guarantor's primary residence.
      Parameters:
        `strguarantorHousehldSize` - Specifies the number of people living at the guarantor's primary residence.

    - #### setGuarantorHousehldSize

          public void setGuarantorHousehldSize(NM objguarantorHousehldSize)

      Set the Guarantor Househld Size. This field specify the number of people living at the guarantor's primary residence.
      Parameters:
        `objguarantorHousehldSize` - Specifies the number of people living at the guarantor's primary residence.

    - #### setGuarantorMaritalStatusCode

          public void setGuarantorMaritalStatusCode(java.lang.String strIdentifier,
                                           java.lang.String strText,
                                           java.lang.String strNameOfCodingSystem,
                                           java.lang.String strAlternateIdentifier,
                                           java.lang.String strAlternateText,
                                           java.lang.String strNameOfAlternateCodingSystem,
                                           java.lang.String strCodingSystemVersionID,
                                           java.lang.String strAlternateCodingSystemVersionId,
                                           java.lang.String strOriginalText,
                                           java.lang.String strSecondAlternateIdentifier,
                                           java.lang.String strSecondAlternateText,
                                           java.lang.String strNameofSecondAlternateCodingSystem,
                                           java.lang.String strSecondAlternateCodingSystemVersionID,
                                           java.lang.String strCodingSystemOID,
                                           java.lang.String strValueSetOID,
                                           java.lang.String strValueSetVersionID,
                                           java.lang.String strAlternateCodingSystemOID,
                                           java.lang.String strAlternateValueSetOID,
                                           java.lang.String strAlternateValueSetVersionID,
                                           java.lang.String strSecondAlternateCodingSystemOID,
                                           java.lang.String strSecondAlternateValueSetOID,
                                           java.lang.String strSecondAlternateValueSetVersionID)

      Set the Guarantor Marital Status Code. This field contains the marital status of the guarantor.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setGuarantorMaritalStatusCode

          public void setGuarantorMaritalStatusCode(CWE guarantorMaritalStatusCode)

      Set the Guarantor Marital Status Code. This field contains the marital status of the guarantor.
      Parameters:
        `guarantorMaritalStatusCode` - Guarantor Marital Status Code.

    - #### addGuarantorOrgName

          public void addGuarantorOrgName(java.lang.String strOrganizationName,
                                 CWE objOrganizationNameTypeCode,
                                 HD objAssigningAuthority,
                                 java.lang.String strIdentifierTypeCode,
                                 HD objAssigningFacility,
                                 java.lang.String strNameRepresentationCode,
                                 java.lang.String strOrganizationIdentifier)

      Set the Guarantor OrgName. This field contains the name of the guarantor when the guarantor is an organization.
      Parameters:
        `strOrganizationName` - Specifies name of the specified organization.
        `strOrganizationNameTypeCode` - Specifies a code that represents the type of name i.e., legal name, display name. Suggested Values A,L,D,SL.[Refer to table No.0204]
        `objAssigningAuthority` - Specifies The assigning authority is a unique identifier of the system (or organization or agency or department) that creates the data.
        `strIdentifierTypeCode` - Specifies a code corresponding to the type of identifier.
        `objAssigningFacility` - Specifies The place or location identifier where the identifier was first assigned to the person.
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `strOrganizationIdentifier` - This component contains the sequence of characters (the code) that uniquely identifies the item being referenced by XON.1 Organization Name. This component replaces XON.3 ID Number as of v 2.5.

    - #### addGuarantorOrgName

          public void addGuarantorOrgName(XON guarantorOrgName)

      Set the Guarantor OrgName. This field contains the name of the guarantor when the guarantor is an organization.
      Parameters:
        `guarantorOrgName` - Guarantor OrgName.

    - #### setGuarantorOrgName

          public void setGuarantorOrgName(ISingleCollection<XON> objGuarantorOrgNameList)

      Set the GuarantorOrgName list.
      Parameters:
        `objGuarantorOrgNameList` - List of GuarantorRace

    - #### addGuarantorRace

          public void addGuarantorRace(java.lang.String strIdentifier,
                              java.lang.String strText,
                              java.lang.String strNameOfCodingSystem,
                              java.lang.String strAlternateIdentifier,
                              java.lang.String strAlternateText,
                              java.lang.String strNameOfAlternateCodingSystem,
                              java.lang.String strCodingSystemVersionID,
                              java.lang.String strAlternateCodingSystemVersionId,
                              java.lang.String strOriginalText,
                              java.lang.String strSecondAlternateIdentifier,
                              java.lang.String strSecondAlternateText,
                              java.lang.String strNameofSecondAlternateCodingSystem,
                              java.lang.String strSecondAlternateCodingSystemVersionID,
                              java.lang.String strCodingSystemOID,
                              java.lang.String strValueSetOID,
                              java.lang.String strValueSetVersionID,
                              java.lang.String strAlternateCodingSystemOID,
                              java.lang.String strAlternateValueSetOID,
                              java.lang.String strAlternateValueSetVersionID,
                              java.lang.String strSecondAlternateCodingSystemOID,
                              java.lang.String strSecondAlternateValueSetOID,
                              java.lang.String strSecondAlternateValueSetVersionID)

      Set the GuarantorRace. This field refers to the guarantor's race.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addGuarantorRace

          public void addGuarantorRace(CWE GuarantorRace)

      Set the GuarantorRace. This field refers to the guarantor's race.
      Parameters:
        `GuarantorRace` - GuarantorRace

    - #### setGuarantorRace

          public void setGuarantorRace(ISingleCollection<CWE> objGuarantorRaceList)

      Set the GuarantorRace list.
      Parameters:
        `objGuarantorRaceList` - List of GuarantorRace

    - #### setHandicap

          public void setHandicap(java.lang.String strIdentifier,
                         java.lang.String strText,
                         java.lang.String strNameOfCodingSystem,
                         java.lang.String strAlternateIdentifier,
                         java.lang.String strAlternateText,
                         java.lang.String strNameOfAlternateCodingSystem,
                         java.lang.String strCodingSystemVersionID,
                         java.lang.String strAlternateCodingSystemVersionId,
                         java.lang.String strOriginalText,
                         java.lang.String strSecondAlternateIdentifier,
                         java.lang.String strSecondAlternateText,
                         java.lang.String strNameofSecondAlternateCodingSystem,
                         java.lang.String strSecondAlternateCodingSystemVersionID,
                         java.lang.String strCodingSystemOID,
                         java.lang.String strValueSetOID,
                         java.lang.String strValueSetVersionID,
                         java.lang.String strAlternateCodingSystemOID,
                         java.lang.String strAlternateValueSetOID,
                         java.lang.String strAlternateValueSetVersionID,
                         java.lang.String strSecondAlternateCodingSystemOID,
                         java.lang.String strSecondAlternateValueSetOID,
                         java.lang.String strSecondAlternateValueSetVersionID)

      Set the Handicap. This field contains a code to describe the guarantor's disability.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setHandicap

          public void setHandicap(CWE objhandicap)

      Set the Handicap. This field contains a code to describe the guarantor's disability.
      Parameters:
        `objhandicap` - Contains the code that describes an associated party's disability. No suggested values defined [User-defined Table 0295].

    - #### setJobCodeClass

          public void setJobCodeClass(CWE cweJobCode,
                             CWE cweJobClass,
                             java.lang.String strJobDescriptionText)

      Set the Job Code Class. This field contains the guarantor's job code and employee classification.
      Parameters:
        `cweJobCode` - Contains the person's job code.
        `strJobClass` - Contains the person's employee classification.
        `cweJobClass` - Contains the text of the job description.

    - #### setJobCodeClass

          public void setJobCodeClass(JCC jobCodeClass)

      Set the Job Code Class. This field contains the guarantor's job code and employee classification.
      Parameters:
        `jobCodeClass` - Job Code Class.

    - #### setJobStatus

          public void setJobStatus(java.lang.String strIdentifier,
                          java.lang.String strText,
                          java.lang.String strNameOfCodingSystem,
                          java.lang.String strAlternateIdentifier,
                          java.lang.String strAlternateText,
                          java.lang.String strNameOfAlternateCodingSystem,
                          java.lang.String strCodingSystemVersionID,
                          java.lang.String strAlternateCodingSystemVersionId,
                          java.lang.String strOriginalText,
                          java.lang.String strSecondAlternateIdentifier,
                          java.lang.String strSecondAlternateText,
                          java.lang.String strNameofSecondAlternateCodingSystem,
                          java.lang.String strSecondAlternateCodingSystemVersionID,
                          java.lang.String strCodingSystemOID,
                          java.lang.String strValueSetOID,
                          java.lang.String strValueSetVersionID,
                          java.lang.String strAlternateCodingSystemOID,
                          java.lang.String strAlternateValueSetOID,
                          java.lang.String strAlternateValueSetVersionID,
                          java.lang.String strSecondAlternateCodingSystemOID,
                          java.lang.String strSecondAlternateValueSetOID,
                          java.lang.String strSecondAlternateValueSetVersionID)

      Set the Job Status. This field contains a code that identifies the guarantor's current job status.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setJobStatus

          public void setJobStatus(CWE objjobStatus)

      Set the Job Status. This field contains a code that identifies the guarantor's current job status.
      Parameters:
        `objjobStatus` - Contains a code that identifies the guarantor's current job status.

    - #### setJobTitle

          public void setJobTitle(java.lang.String strJobTitle)

      Set the Job Title. This field contains a descriptive name of the guarantor's occupation.
      Parameters:
        `strJobTitle` - This field contains a descriptive name of the guarantor's occupation

    - #### setJobTitle

          public void setJobTitle(ST objjobTitle)

      Set the Job Title. This field contains a descriptive name of the guarantor's occupation.
      Parameters:
        `objjobTitle` - This field contains a descriptive name of the guarantor's occupation

    - #### setLivingArrangement

          public void setLivingArrangement(java.lang.String strIdentifier,
                                  java.lang.String strText,
                                  java.lang.String strNameOfCodingSystem,
                                  java.lang.String strAlternateIdentifier,
                                  java.lang.String strAlternateText,
                                  java.lang.String strNameOfAlternateCodingSystem,
                                  java.lang.String strCodingSystemVersionID,
                                  java.lang.String strAlternateCodingSystemVersionId,
                                  java.lang.String strOriginalText,
                                  java.lang.String strSecondAlternateIdentifier,
                                  java.lang.String strSecondAlternateText,
                                  java.lang.String strNameofSecondAlternateCodingSystem,
                                  java.lang.String strSecondAlternateCodingSystemVersionID,
                                  java.lang.String strCodingSystemOID,
                                  java.lang.String strValueSetOID,
                                  java.lang.String strValueSetVersionID,
                                  java.lang.String strAlternateCodingSystemOID,
                                  java.lang.String strAlternateValueSetOID,
                                  java.lang.String strAlternateValueSetVersionID,
                                  java.lang.String strSecondAlternateCodingSystemOID,
                                  java.lang.String strSecondAlternateValueSetOID,
                                  java.lang.String strSecondAlternateValueSetVersionID)

      Set the Living Arrangement. This field identifies the situation in which the person lives at his residential address.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setLivingArrangement

          public void setLivingArrangement(CWE objlivingArrangement)

      Set the Living Arrangement. This field identifies the situation in which the person lives at his residential address.
      Parameters:
        `objlivingArrangement` - This field identifies the situation that the associated party lives in at his/her residential address. [Refer to User-defined Table 0220].

    - #### setLivingDependency

          public void setLivingDependency(java.lang.String strIdentifier,
                                 java.lang.String strText,
                                 java.lang.String strNameOfCodingSystem,
                                 java.lang.String strAlternateIdentifier,
                                 java.lang.String strAlternateText,
                                 java.lang.String strNameOfAlternateCodingSystem,
                                 java.lang.String strCodingSystemVersionID,
                                 java.lang.String strAlternateCodingSystemVersionId,
                                 java.lang.String strOriginalText,
                                 java.lang.String strSecondAlternateIdentifier,
                                 java.lang.String strSecondAlternateText,
                                 java.lang.String strNameofSecondAlternateCodingSystem,
                                 java.lang.String strSecondAlternateCodingSystemVersionID,
                                 java.lang.String strCodingSystemOID,
                                 java.lang.String strValueSetOID,
                                 java.lang.String strValueSetVersionID,
                                 java.lang.String strAlternateCodingSystemOID,
                                 java.lang.String strAlternateValueSetOID,
                                 java.lang.String strAlternateValueSetVersionID,
                                 java.lang.String strSecondAlternateCodingSystemOID,
                                 java.lang.String strSecondAlternateValueSetOID,
                                 java.lang.String strSecondAlternateValueSetVersionID)

      Set the Living Dependency. This field specify the living conditions of the guarantor.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setLivingDependency

          public void setLivingDependency(CWE objlivingDependency)

      Set the Living Dependency. This field specify the living conditions of the guarantor.
      Parameters:
        `objlivingDependency` - This field identifies specific living conditions (e.g., spouse dependent on patient, walk-up) that are relevant to an evaluation of the patient's healthcare needs. Suggested Values are S,M,C,O,U [Refer User-defined Table 0223].

    - #### addMothersMaidenName

          public void addMothersMaidenName(FN objFamilyName,
                                  java.lang.String strGivenName,
                                  java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                  java.lang.String strSuffix,
                                  java.lang.String strPrefix,
                                  java.lang.String strNameTypeCode,
                                  java.lang.String strNameRepresentationCode,
                                  CWE objNameContext,
                                  java.lang.String strNameAssemblyOrder,
                                  DTM objEffectiveDate,
                                  DTM objExpirationDate,
                                  java.lang.String strProfessionalSuffix,
                                  java.lang.String strCalledBy)

      Set the Mothers Maiden Name. This field indicates the guarantor's mother's maiden name.
      Parameters:
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strNameTypeCode` - Specifies a code that represents the type of name. Suggested values are A,B,C,D,I,L,M,N,P,R,S,T,U...[Refer table 0200.]
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `objEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `objExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `strCalledBy` - Used to specify the called name.

    - #### addMothersMaidenName

          public void addMothersMaidenName(XPN MothersMaidenName)

      Set the Mothers Maiden Name. This field indicates the guarantor's mother's maiden name.
      Parameters:
        `MothersMaidenName` - Mothers Maiden Name.

    - #### setMothersMaidenName

          public void setMothersMaidenName(ISingleCollection<XPN> objMothersMaidenNameList)

      Set the MothersMaidenName list.
      Parameters:
        `objMothersMaidenNameList` - List of MothersMaidenName

    - #### setNationality

          public void setNationality(java.lang.String strIdentifier,
                            java.lang.String strText,
                            java.lang.String strNameOfCodingSystem,
                            java.lang.String strAlternateIdentifier,
                            java.lang.String strAlternateText,
                            java.lang.String strNameOfAlternateCodingSystem,
                            java.lang.String strCodingSystemVersionID,
                            java.lang.String strAlternateCodingSystemVersionId,
                            java.lang.String strOriginalText,
                            java.lang.String strSecondAlternateIdentifier,
                            java.lang.String strSecondAlternateText,
                            java.lang.String strNameofSecondAlternateCodingSystem,
                            java.lang.String strSecondAlternateCodingSystemVersionID,
                            java.lang.String strCodingSystemOID,
                            java.lang.String strValueSetOID,
                            java.lang.String strValueSetVersionID,
                            java.lang.String strAlternateCodingSystemOID,
                            java.lang.String strAlternateValueSetOID,
                            java.lang.String strAlternateValueSetVersionID,
                            java.lang.String strSecondAlternateCodingSystemOID,
                            java.lang.String strSecondAlternateValueSetOID,
                            java.lang.String strSecondAlternateValueSetVersionID)

      Set the Nationality. This field contains a code that identifies the nation or national grouping to which the person belongs.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setNationality

          public void setNationality(CWE nationality)

      Set the Nationality. This field contains a code that identifies the nation or national grouping to which the person belongs.
      Parameters:
        `nationality` - Nationality

    - #### setPrimaryLanguage

          public void setPrimaryLanguage(java.lang.String strIdentifier,
                                java.lang.String strText,
                                java.lang.String strNameOfCodingSystem,
                                java.lang.String strAlternateIdentifier,
                                java.lang.String strAlternateText,
                                java.lang.String strNameOfAlternateCodingSystem,
                                java.lang.String strCodingSystemVersionID,
                                java.lang.String strAlternateCodingSystemVersionId,
                                java.lang.String strOriginalText,
                                java.lang.String strSecondAlternateIdentifier,
                                java.lang.String strSecondAlternateText,
                                java.lang.String strNameofSecondAlternateCodingSystem,
                                java.lang.String strSecondAlternateCodingSystemVersionID,
                                java.lang.String strCodingSystemOID,
                                java.lang.String strValueSetOID,
                                java.lang.String strValueSetVersionID,
                                java.lang.String strAlternateCodingSystemOID,
                                java.lang.String strAlternateValueSetOID,
                                java.lang.String strAlternateValueSetVersionID,
                                java.lang.String strSecondAlternateCodingSystemOID,
                                java.lang.String strSecondAlternateValueSetOID,
                                java.lang.String strSecondAlternateValueSetVersionID)

      Set the Primary Language. This field identify the guarantor's primary speaking language.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setPrimaryLanguage

          public void setPrimaryLanguage(CWE primaryLanguage)

      Set the Primary Language. This field identify the guarantor's primary speaking language.
      Parameters:
        `primaryLanguage` - Primary Language.

    - #### setProtectionIndicator

          public void setProtectionIndicator(java.lang.String strProtectionIndicator)

      Set the Protection Indicator. This field identify the guarantor's protection, which determines whether access to information about this enrollee should be restricted from users who do not have adequate authority or not.
      Parameters:
        `strProtectionIndicator` - This field identifies that next of kin/associated party's protection. Suggested Values Y,N.[Refer Table No. 0136].

    - #### setProtectionIndicator

          public void setProtectionIndicator(ID objprotectionIndicator)

      Set the Protection Indicator. This field identify the guarantor's protection, which determines whether access to information about this enrollee should be restricted from users who do not have adequate authority or not.
      Parameters:
        `objprotectionIndicator` - This field identifies that next of kin/associated party's protection. Suggested Values Y,N.[Refer Table No. 0136].

    - #### setPublicityCode

          public void setPublicityCode(java.lang.String strIdentifier,
                              java.lang.String strText,
                              java.lang.String strNameOfCodingSystem,
                              java.lang.String strAlternateIdentifier,
                              java.lang.String strAlternateText,
                              java.lang.String strNameOfAlternateCodingSystem,
                              java.lang.String strCodingSystemVersionID,
                              java.lang.String strAlternateCodingSystemVersionId,
                              java.lang.String strOriginalText,
                              java.lang.String strSecondAlternateIdentifier,
                              java.lang.String strSecondAlternateText,
                              java.lang.String strNameofSecondAlternateCodingSystem,
                              java.lang.String strSecondAlternateCodingSystemVersionID,
                              java.lang.String strCodingSystemOID,
                              java.lang.String strValueSetOID,
                              java.lang.String strValueSetVersionID,
                              java.lang.String strAlternateCodingSystemOID,
                              java.lang.String strAlternateValueSetOID,
                              java.lang.String strAlternateValueSetVersionID,
                              java.lang.String strSecondAlternateCodingSystemOID,
                              java.lang.String strSecondAlternateValueSetOID,
                              java.lang.String strSecondAlternateValueSetVersionID)

      Set the Publicity Code. This field contains a user-defined code indicating what level of publicity is allowed.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setPublicityCode

          public void setPublicityCode(CWE publicityCode)

      Set the Publicity Code. This field contains a user-defined code indicating what level of publicity is allowed.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `publicityCode` - Publicity Code.

    - #### setReligion

          public void setReligion(java.lang.String strIdentifier,
                         java.lang.String strText,
                         java.lang.String strNameOfCodingSystem,
                         java.lang.String strAlternateIdentifier,
                         java.lang.String strAlternateText,
                         java.lang.String strNameOfAlternateCodingSystem,
                         java.lang.String strCodingSystemVersionID,
                         java.lang.String strAlternateCodingSystemVersionId,
                         java.lang.String strOriginalText,
                         java.lang.String strSecondAlternateIdentifier,
                         java.lang.String strSecondAlternateText,
                         java.lang.String strNameofSecondAlternateCodingSystem,
                         java.lang.String strSecondAlternateCodingSystemVersionID,
                         java.lang.String strCodingSystemOID,
                         java.lang.String strValueSetOID,
                         java.lang.String strValueSetVersionID,
                         java.lang.String strAlternateCodingSystemOID,
                         java.lang.String strAlternateValueSetOID,
                         java.lang.String strAlternateValueSetVersionID,
                         java.lang.String strSecondAlternateCodingSystemOID,
                         java.lang.String strSecondAlternateValueSetOID,
                         java.lang.String strSecondAlternateValueSetVersionID)

      Set the Religion. This field indicates the type of religion practiced by the guarantor.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setReligion

          public void setReligion(CWE religion)

      Set the Religion. This field indicates the type of religion practiced by the guarantor.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `religion` - Religion

    - #### setStudentIndicator

          public void setStudentIndicator(java.lang.String strIdentifier,
                                 java.lang.String strText,
                                 java.lang.String strNameOfCodingSystem,
                                 java.lang.String strAlternateIdentifier,
                                 java.lang.String strAlternateText,
                                 java.lang.String strNameOfAlternateCodingSystem,
                                 java.lang.String strCodingSystemVersionID,
                                 java.lang.String strAlternateCodingSystemVersionId,
                                 java.lang.String strOriginalText,
                                 java.lang.String strSecondAlternateIdentifier,
                                 java.lang.String strSecondAlternateText,
                                 java.lang.String strNameofSecondAlternateCodingSystem,
                                 java.lang.String strSecondAlternateCodingSystemVersionID,
                                 java.lang.String strCodingSystemOID,
                                 java.lang.String strValueSetOID,
                                 java.lang.String strValueSetVersionID,
                                 java.lang.String strAlternateCodingSystemOID,
                                 java.lang.String strAlternateValueSetOID,
                                 java.lang.String strAlternateValueSetVersionID,
                                 java.lang.String strSecondAlternateCodingSystemOID,
                                 java.lang.String strSecondAlternateValueSetOID,
                                 java.lang.String strSecondAlternateValueSetVersionID)

      Set the Student ndicator. This field indicates whether the guarantor is currently a student, and whether the guarantor is a full-time or part-time student.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setStudentIndicator

          public void setStudentIndicator(CWE objstudentIndicator)

      Set the Student ndicator. This field indicates whether the guarantor is currently a student, and whether the guarantor is a full-time or part-time student.
      Parameters:
        `objstudentIndicator` - Indicates whether the guarantor is currently a student, and whether the guarantor is a full-time or part-time student.

    - #### setVIPIndicator

          public void setVIPIndicator(java.lang.String strIdentifier,
                             java.lang.String strText,
                             java.lang.String strNameOfCodingSystem,
                             java.lang.String strAlternateIdentifier,
                             java.lang.String strAlternateText,
                             java.lang.String strNameOfAlternateCodingSystem,
                             java.lang.String strCodingSystemVersionID,
                             java.lang.String strAlternateCodingSystemVersionId,
                             java.lang.String strOriginalText,
                             java.lang.String strSecondAlternateIdentifier,
                             java.lang.String strSecondAlternateText,
                             java.lang.String strNameofSecondAlternateCodingSystem,
                             java.lang.String strSecondAlternateCodingSystemVersionID,
                             java.lang.String strCodingSystemOID,
                             java.lang.String strValueSetOID,
                             java.lang.String strValueSetVersionID,
                             java.lang.String strAlternateCodingSystemOID,
                             java.lang.String strAlternateValueSetOID,
                             java.lang.String strAlternateValueSetVersionID,
                             java.lang.String strSecondAlternateCodingSystemOID,
                             java.lang.String strSecondAlternateValueSetOID,
                             java.lang.String strSecondAlternateValueSetVersionID)

      Set the VIP Indicator. This field identifies the type of VIP for the guarantor.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setVIPIndicator

          public void setVIPIndicator(CWE objvIPIndicator)

      Set the VIP Indicator. This field identifies the type of VIP for the guarantor.
      Parameters:
        `objvIPIndicator` - Identifies the type of VIP for the guarantor.[User-defined Table 0099 - VIP indicator]

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation chcecks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - If Segment Validation fails